Summary: Asterisk, The Open Source PBX
Name: asterisk
Version: 11.20.0
Release: 1%{?dist}%{?_without_optimizations:_debug}
License: GPL
Group: Utilities/System
Source: http://downloads.asterisk.org/pub/telephony/asterisk/releases/%{name}-%{version}.tar.gz
Source1: http://downloads.asterisk.org/pub/telephony/asterisk/releases/%{name}-%{version}.tar.gz.asc
Source2: asterisk.logrotate
Source3: asterisk-mp3-svn201.tar.bz2
Source4: asterisk.service
Patch2: voicemail-splitopts.patch
Patch3: voicemail-splitopts-odbcstorage.patch
Patch4: voicemail-splitopts-imapstorage.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-root
URL: http://www.asterisk.org/
Vendor: Digium, Inc.
Packager: Asterisk Development Team <asteriskteam@digium.com>
Provides: asterisk
Obsoletes: asterisk
Conflicts: asterisk14
Conflicts: asterisk16
Conflicts: asterisk18
Conflicts: asterisk10
Provides: asterisk11
Obsoletes: asterisk11

%{?_without_optimizations:Requires: %{name}-debuginfo = %{version}-%{release}}
Requires: %{name}-core = %{version}-%{release}
Requires: %{name}-doc = %{version}
Requires: %{name}-voicemail = %{version}-%{release}
Requires: asterisk-sounds-core-en-gsm
BuildRequires: sqlite-devel
BuildRequires: ncurses-devel
BuildRequires: libxml2-devel
BuildRequires: iksemel-devel
BuildRequires: libsrtp-devel < 2
BuildRequires: gcc
BuildRequires: gcc-c++
BuildRequires: portaudio-devel
BuildRequires: neon-devel
BuildRequires: libical-devel
%{!?_without_newt:BuildRequires: newt-devel}
BuildConflicts: rh-postgresql-devel

%if 0%{?rhel} >= 7
BuildRequires: systemd
Requires(post): systemd
Requires(preun): systemd
Requires(postun): systemd
%else
Requires(post): chkconfig
Requires(preun): chkconfig, initscripts
Requires(postun): initscripts
%endif

%description
Asterisk is an open source PBX and telephony development platform.  Asterisk  
can both replace a conventional PBX and act as a platform for the
development of custom telephony applications for the delivery of dynamic
content over a telephone; similar to how one can deliver dynamic content 
through a web browser using CGI and a web server.

Asterisk supports a variety of telephony hardware including BRI, PRI, POTS,
and IP telephony clients using the Inter-Asterisk eXchange (IAX) protocol (e.g. 
gnophone or miniphone).  For more information and a current list of supported
hardware, see http://www.asterisk.org 

#
#  core subpackage
#
%package core
Summary: Asterisk core package without any "extras".
Group: Utilities/System
Provides: asterisk11-core
Obsoletes: asterisk11-core
Requires: openssl
Requires: libxml2
Requires: sqlite
Requires: iksemel
Requires: libsrtp < 2
Requires: portaudio
Requires: neon
Requires: libical

%description core
This package contains a base install of Asterisk without any "extras".

#
#  Alsa subpackage
#
%{?_without_alsa:%if 0}
%{!?_without_alsa:%if 1}
%package alsa
Summary: Alsa channel driver for Asterisk
Group: Utilities/System
Provides: asterisk11-alsa
Obsoletes: asterisk11-alsa
%if "%{distname}" == "suse" || "%{distname}" == "sles"
BuildRequires: alsa-devel
Requires: alsa
%else
BuildRequires: alsa-lib-devel
Requires: alsa-lib
%endif
Requires: %{name}-core = %{version}-%{release}

%description alsa
Alsa channel driver for Asterisk 
%endif

#
#  snmp subpackage
#
%{?_without_snmp:%if 0}
%{!?_without_snmp:%if 1}
%package snmp
Summary: snmp resource module for Asterisk
Group: Utilities/System
Provides: asterisk11-snmp
Obsoletes: asterisk11-snmp
%if "%{distname}" == "suse" || "%{distname}" == "sles"
BuildRequires: sensors
BuildRequires: tcpd-devel
%else
BuildRequires: lm_sensors-devel
%endif
BuildRequires: net-snmp-devel
Requires: net-snmp
Requires: %{name}-core = %{version}-%{release}

%description snmp
snmp resource module for Asterisk 
%endif

#
#  pgsql subpackage
#
%{?_without_pgsql:%if 0}
%{!?_without_pgsql:%if 1}
%package pgsql
Summary: Postgresql modules for Asterisk
Group: Utilities/System
Provides: asterisk11-pgsql
Obsoletes: asterisk11-pgsql
BuildRequires: postgresql-devel
Requires: postgresql
Requires: %{name}-core = %{version}-%{release}

%description pgsql
Postgresql modules for Asterisk 
%endif

#
#  tds subpackage
#
%{?_without_tds:%if 0}
%{!?_without_tds:%if 1}
%package tds
Summary: tds modules for Asterisk
Group: Utilities/System
Provides: asterisk11-tds
Obsoletes: asterisk11-tds
BuildRequires: freetds-devel
Requires: freetds
Requires: %{name}-core = %{version}-%{release}

%description tds
tds modules for Asterisk 
%endif

#
#  jack subpackage
#
%{?_without_jack:%if 0}
%{!?_without_jack:%if 1}
%package jack
Summary: jack modules for Asterisk
Group: Utilities/System
Provides: asterisk11-jack
Obsoletes: asterisk11-jack
BuildRequires: jack-audio-connection-kit-devel
Requires: jack-audio-connection-kit
Requires: %{name}-core = %{version}-%{release}

%description jack
jack modules for Asterisk
%endif

#
#  radius subpackage
#
%{?_without_radius:%if 0}
%{!?_without_radius:%if 1}
%package radius
Summary: radius modules for Asterisk
Group: Utilities/System
Provides: asterisk11-radius
Obsoletes: asterisk11-radius
BuildRequires: radiusclient-ng-devel
Requires: radiusclient-ng
Requires: %{name}-core = %{version}-%{release}

%description radius
radius modules for Asterisk
%endif

#
#  ldap subpackage
#
%{?_without_ldap:%if 0}
%{!?_without_ldap:%if 1}
%package ldap
Summary: ldap modules for Asterisk
Group: Utilities/System
Provides: asterisk11-ldap
Obsoletes: asterisk11-ldap
BuildRequires: openldap-devel
Requires: openldap
Requires: %{name}-core = %{version}-%{release}

%description ldap
ldap modules for Asterisk
%endif

#
#  lua subpackage
#
%{?_without_lua:%if 0}
%{!?_without_lua:%if 1}
%package lua
Summary: lua modules for Asterisk
Group: Utilities/System
Provides: asterisk11-lua
Obsoletes: asterisk11-lua
BuildRequires: lua-devel
Requires: lua
Requires: %{name}-core = %{version}-%{release}

%description lua
lua modules for Asterisk
%endif

#
#  dahdi subpackage
#
%{?_without_dahdi:%if 0}
%{!?_without_dahdi:%if 1}
%package dahdi
Summary: DAHDI channel driver for Asterisk
Group: Utilities/System
Provides: asterisk11-dahdi
Obsoletes: asterisk11-dahdi
Requires: %{name}-core = %{version}-%{release}
BuildRequires: libpri-devel
BuildRequires: libss7-devel
BuildRequires: dahdi-tools-devel
Requires: libpri
Requires: libss7
Requires: dahdi-tools
Requires: dahdi-linux
Requires: dahdi-linux-kmod
AutoReqProv: no

%description dahdi
DAHDI channel driver for Asterisk 
%endif

#
#  mISDN subpackage
#
%{?_without_misdn:%if 0}
%{!?_without_misdn:%if 1}
%package misdn
Summary: mISDN channel driver for Asterisk
Group: Utilities/System
Provides: asterisk11-misdn
Obsoletes: asterisk11-misdn
Requires: %{name}-core = %{version}-%{release}
BuildRequires: mISDN-devel
Requires: mISDN
Requires: mISDN-kmod
AutoReqProv: no

%description misdn
mISDN channel driver for Asterisk 
%endif

#
#  Configs subpackage
#
%package configs
Summary: Basic configuration files for Asterisk
Group: Utilities/System
Provides: asterisk11-configs
Obsoletes: asterisk11-configs
Requires: %{name}-core = %{version}-%{release}

%description configs
The sample configuration files for Asterisk

#
#  cURL subpackage
#
%{?_without_curl:%if 0}
%{!?_without_curl:%if 1}
%package curl
Summary: cURL application module for Asterisk
Group: Utilities/System
Provides: asterisk11-curl
Obsoletes: asterisk11-curl
BuildRequires: curl-devel
Requires: curl
Requires: %{name}-core = %{version}-%{release}

%description curl
cURL application module for Asterisk 
%endif

#
#  Development subpackage
#
%package devel
Summary: Static libraries and header files for Asterisk development
Group: Development/Libraries
Provides: asterisk11-devel
Obsoletes: asterisk11-devel
Requires: %{name}-core = %{version}-%{release}

%description devel
The static libraries and header files needed for building additional Asterisk
plugins/modules

#
#  Documentation subpackage
#
%package doc
Summary: Documentation files for Asterisk
Group: Development/Libraries
Provides: asterisk11-doc
Obsoletes: asterisk11-doc
Requires: %{name}-core = %{version}-%{release}

%description doc
The Documentation files for Asterisk

#
#  Ogg-Vorbis subpackage
#
%{?_without_ogg:%if 0}
%{!?_without_ogg:%if 1}
%package ogg
Summary: Ogg-Vorbis codec module for Asterisk
Group: Utilities/System
Provides: asterisk11-ogg
Obsoletes: asterisk11-ogg
BuildRequires: libvorbis-devel libogg-devel
Requires: libvorbis libogg
Requires: %{name}-core = %{version}-%{release}

%description ogg
Asterisk format plugin for the Ogg-Vorbis codec
%endif

#
#  Speex subpackage
#
%{?_without_speex:%if 0}
%{!?_without_speex:%if 1}
%package speex
Summary: Speex codec module for Asterisk
Group: Utilities/System
Provides: asterisk11-speex
Obsoletes: asterisk11-speex
BuildRequires: speex-devel
Requires: speex
Requires: %{name}-core = %{version}-%{release}

%description speex
Asterisk format plugin for the Speex codec
%endif

#
#  resample subpackage
#
%{?_without_resample:%if 0}
%{!?_without_resample:%if 1}
%package resample
Summary: resampling codec module for Asterisk
Group: Utilities/System
Provides: asterisk11-resample
Obsoletes: asterisk11-resample
BuildRequires: libresample-devel
Requires: libresample
Requires: %{name}-core = %{version}-%{release}

%description resample
Asterisk plugin for the resample codec
%endif

#
#  unixODBC subpackage
#
%{?_without_odbc:%if 0}
%{!?_without_odbc:%if 1}
%package odbc
Summary: Open Database Connectivity (ODBC) drivers for Asterisk
Group: Utilities/System
Provides: asterisk11-odbc
Obsoletes: asterisk11-odbc
BuildRequires: unixODBC-devel
BuildRequires: libtool-ltdl-devel
Requires: unixODBC
Requires: libtool-ltdl
Requires: %{name}-core = %{version}-%{release}

%description odbc
ODBC drivers for Asterisk 
%endif

#
#  sqlite3 subpackage
#
%{?_without_sqlite3:%if 0}
%{!?_without_sqlite3:%if 1}
%package sqlite3
Summary: sqlite3 drivers for Asterisk
Group: Utilities/System
Provides: asterisk11-sqlite3
Obsoletes: asterisk11-sqlite3
BuildRequires: sqlite-devel
Requires: sqlite
Requires: %{name}-core = %{version}-%{release}

%description sqlite3
sqlite3 drivers for Asterisk 
%endif

#
#  voicemail file storage subpackage
#
%package voicemail
Summary: Voicemail with file storage module for Asterisk
Group: Utilities/System
Provides: %{name}-voicemail-filestorage = %{version}-%{release}
Provides: asterisk11-voicemail
Obsoletes: asterisk11-voicemail
Provides: asterisk11-voicemail-filestorage
Requires: %{name}-core = %{version}-%{release}

Conflicts: %{name}-voicemail-odbcstorage
Conflicts: %{name}-voicemail-imapstorage

%description voicemail
Voicemail with file storage module for Asterisk

#
#  voicemail ODBC storage subpackage
#
%{?_without_voicemail_odbcstorage:%if 0}
%{!?_without_voicemail_odbcstorage:%if 1}
%package voicemail-odbcstorage
Summary: Voicemail with ODBC storage module for Asterisk
Group: Utilities/System
BuildRequires: unixODBC-devel
Requires: unixODBC
Requires: %{name}-core = %{version}-%{release}
Provides: %{name}-voicemail = %{version}-%{release}
Provides: asterisk11-voicemail
Provides: asterisk11-voicemail-odbcstorage
Obsoletes: asterisk11-voicemail-odbcstorage

Conflicts: %{name}-voicemail-filestorage
Conflicts: %{name}-voicemail-imapstorage

%description voicemail-odbcstorage
Voicemail with ODBC storage module for Asterisk
%endif

#
#  voicemail IMAP storage subpackage
#
%{?_without_voicemail_imapstorage:%if 0}
%{!?_without_voicemail_imapstorage:%if 1}
%package voicemail-imapstorage
Summary: Voicemail with IMAP storage module for Asterisk
Group: Utilities/System
%if "%{distname}" == "suse" || "%{distname}" == "sles"
BuildRequires: imap-devel
Requires: imap-lib
%else
BuildRequires: libc-client-devel
Requires: libc-client
%endif
Requires: %{name}-core = %{version}-%{release}
Provides: %{name}-voicemail = %{version}-%{release}
Provides: asterisk11-voicemail
Provides: asterisk11-voicemail-imapstorage
Obsoletes: asterisk11-voicemail-imapstorage

Conflicts: %{name}-voicemail-filestorage
Conflicts: %{name}-voicemail-odbcstorage

%description voicemail-imapstorage
Voicemail with IMAP storage module for Asterisk
%endif

#
#  addons subpackage
#
%package addons
Summary: Asterisk-addons package.
Group: Utilities/System
Requires: asterisk11-addons-core = %{version}-%{release}
Provides: asterisk-addons
Provides: asterisk11-addons

Requires: %{name}-addons-core = %{version}-%{release}

%{?_without_mysql:%if 0}
%{!?_without_mysql:%if 1}
Requires: %{name}-addons-mysql = %{version}-%{release}
Requires: mysql
%endif

%{?_without_bluetooth:%if 0}
%{!?_without_bluetooth:%if 1}
Requires: %{name}-addons-bluetooth = %{version}-%{release}
Requires: bluez-libs
%endif

%{?_without_ooh323:%if 0}
%{!?_without_ooh323:%if 1}
Requires: %{name}-addons-ooh323 = %{version}-%{release}
%endif

%{?_without_fax:%if 0}
%{!?_without_fax:%if 1}
Requires: %{name}-addons-fax = %{version}-%{release}
%endif

%description addons
This package contains a base install of Asterisk-addons without any "extras".

#
#  addons-core subpackage
#
%package addons-core
Summary: Asterisk-addons core package.
Group: Utilities/System
Provides: asterisk-gplonly
Requires: asterisk11-core = %{version}-%{release}
Provides: asterisk-addons-core
Provides: asterisk11-addons-core

%description addons-core
This package contains a base install of Asterisk-addons without any "extras".

#
#  addons-mysql subpackage
#
%{?_without_mysql:%if 0}
%{!?_without_mysql:%if 1}
%package addons-mysql
Summary: mysql modules for Asterisk
Group: Utilities/System
BuildRequires: mysql-devel
Requires: mysql
Requires: %{name}-addons-core = %{version}-%{release}
Provides: asterisk-addons-mysql
Provides: asterisk11-addons-mysql

%description addons-mysql
mysql modules for Asterisk 
%endif

#
#  bluetooth subpackage
#
%{?_without_bluetooth:%if 0}
%{!?_without_bluetooth:%if 1}
%package addons-bluetooth
Summary: bluetooth modules for Asterisk
Group: Utilities/System
BuildRequires: bluez-libs-devel
Requires: bluez-libs
Requires: %{name}-core = %{version}-%{release}
Provides: asterisk-addons-bluetooth
Provides: asterisk11-addons-bluetooth

%description addons-bluetooth
bluetooth modules for Asterisk 
%endif

#
#  ooh323 subpackage
#
%{?_without_ooh323:%if 0}
%{!?_without_ooh323:%if 1}
%package addons-ooh323
Summary: chan_ooh323 module for Asterisk
Group: Utilities/System
Requires: %{name}-core = %{version}-%{release}
Provides: asterisk-addons-ooh323
Provides: asterisk11-addons-ooh323

%description addons-ooh323
chan_ooh323 module for Asterisk 
%endif

#
#  fax subpackage
#
%{?_without_fax:%if 0}
%{!?_without_fax:%if 1}
%package addons-fax
Summary: res_fax module for Asterisk
Group: Utilities/System
BuildRequires: spandsp-devel
Requires: spandsp
Requires: %{name}-core = %{version}-%{release}
Provides: asterisk-addons-fax
Provides: asterisk11-addons-fax

%description addons-fax
FAX applications for Asterisk
%endif


%prep
%setup -n %{name}-%{version}

# Create copies for odbcstorage and imapstorage voicemail modules.
%{?_without_voicemail_odbcstorage:%if 0}
%{!?_without_voicemail_odbcstorage:%if 1}
cp apps/app_voicemail.c apps/app_voicemail_odbcstorage.c
cp apps/app_voicemail.exports.in apps/app_voicemail_odbcstorage.exports.in
%patch3 -p0
%endif

%{?_without_voicemail_imapstorage:%if 0}
%{!?_without_voicemail_imapstorage:%if 1}
cp apps/app_voicemail.c apps/app_voicemail_imapstorage.c
cp apps/app_voicemail.exports.in apps/app_voicemail_imapstorage.exports.in
%patch4 -p0
%endif

%patch2 -p0

tar -jxvf %{SOURCE3}


%build
%ifarch x86_64
%define makeflags OPT=-fPIC
%else
%define makeflags OPT=
%endif
echo %{version}%{?_without_optimizations:-debug} > .version

%{configure}
make menuselect.makeopts
menuselect/menuselect --disable-category MENUSELECT_CORE_SOUNDS --disable-category MENUSELECT_EXTRA_SOUNDS --disable-category MENUSELECT_MOH --enable-category MENUSELECT_ADDONS --enable app_meetme --enable app_page --disable chan_mgcp

make %{makeflags} 2> err
mv err %{name}-sources-%{version}-%{release}.make.err
mv %{name}-sources-%{version}-%{release}.make.err %{_localstatedir}/log/


%install
%if 0%{?rhel} >= 7
  %{__install} -p -D -m 0644 %{SOURCE4} $RPM_BUILD_ROOT/%{_unitdir}/%{name}.service
%else
  mkdir -p $RPM_BUILD_ROOT/%{_sysconfdir}/rc.d/init.d/
  mkdir -p $RPM_BUILD_ROOT/%{_sysconfdir}/sysconfig/
  echo "AST_USER=asterisk" > $RPM_BUILD_ROOT/%{_sysconfdir}/sysconfig/asterisk
  echo "AST_GROUP=asterisk" >> $RPM_BUILD_ROOT/%{_sysconfdir}/sysconfig/asterisk
%endif

make DESTDIR=$RPM_BUILD_ROOT install
make DESTDIR=$RPM_BUILD_ROOT samples
make DESTDIR=$RPM_BUILD_ROOT config

mkdir -p $RPM_BUILD_ROOT/%{_sysconfdir}/logrotate.d/
cp %{SOURCE2} $RPM_BUILD_ROOT%{_sysconfdir}/logrotate.d/asterisk

mkdir -p $RPM_BUILD_ROOT/var/lib/asterisk/licenses/
mkdir -p $RPM_BUILD_ROOT/var/lib/digium/licenses/

gzip -9 -f $RPM_BUILD_ROOT%{_mandir}/man8/autosupport.8
gzip -9 -f $RPM_BUILD_ROOT%{_mandir}/man8/safe_asterisk.8

%if 0%{?rhel} < 7
  rm -f $RPM_BUILD_ROOT/%{_sysconfdir}/rc.d/init.d/%{name}
%endif


%pre core
%{_sbindir}/useradd -c "Asterisk PBX server" -r -M -s /sbin/nologin -d /var/lib/asterisk asterisk 2> /dev/null || :


%post core
%if 0%{?rhel} >= 7
%systemd_post %{name}.service
%else
if [ $1 -eq 1 ]; then
    /sbin/chkconfig --add %{name}
fi
%endif


%preun core
%if 0%{?rhel} >= 7
%systemd_preun %{name}.service
%else
if [ $1 -eq 0 ]; then
    /sbin/service %{name} stop >/dev/null 2>&1
    /sbin/chkconfig --del %{name}
fi
%endif


%postun core
%if 0%{?rhel} >= 7
%systemd_postun %{name}.service
%else
if [ $1 -ge 1 ]; then
    /sbin/service %{name} condrestart > /dev/null 2>&1 || :
fi
%endif


%clean
cd $RPM_BUILD_DIR
%{__rm} -rf %{name}-%{version} 
%{__rm} -rf %{_localstatedir}/log/%{name}-sources-%{version}-%{release}.make.err
%{__rm} -rf $RPM_BUILD_ROOT


%files
%defattr(-, root, root)

%files core
%defattr(-, root, root)
%if 0%{?rhel} >= 7
%{_unitdir}/%{name}.service
%else
%{_initrddir}/%{name}
%config(noreplace) %{_sysconfdir}/sysconfig/%{name}
%endif
%attr(0775,asterisk,asterisk) %dir %{_sysconfdir}/asterisk
#
#  Module List
#
%{_libdir}/asterisk/modules/app_adsiprog.so
%{_libdir}/asterisk/modules/app_alarmreceiver.so
%{_libdir}/asterisk/modules/app_amd.so
%{_libdir}/asterisk/modules/app_authenticate.so
%{_libdir}/asterisk/modules/app_cdr.so
%{_libdir}/asterisk/modules/app_celgenuserevent.so
%{_libdir}/asterisk/modules/app_chanisavail.so
%{_libdir}/asterisk/modules/app_channelredirect.so
%{_libdir}/asterisk/modules/app_chanspy.so
%{_libdir}/asterisk/modules/app_confbridge.so
%{_libdir}/asterisk/modules/app_controlplayback.so
%{_libdir}/asterisk/modules/app_dahdiras.so
%{_libdir}/asterisk/modules/app_db.so
%{_libdir}/asterisk/modules/app_dial.so
%{_libdir}/asterisk/modules/app_dictate.so
%{_libdir}/asterisk/modules/app_directed_pickup.so
%{_libdir}/asterisk/modules/app_directory.so
%{_libdir}/asterisk/modules/app_disa.so
%{_libdir}/asterisk/modules/app_dumpchan.so
%{_libdir}/asterisk/modules/app_echo.so
%{_libdir}/asterisk/modules/app_exec.so
%{_libdir}/asterisk/modules/app_externalivr.so
%{_libdir}/asterisk/modules/app_festival.so
%{_libdir}/asterisk/modules/app_flash.so
%{_libdir}/asterisk/modules/app_forkcdr.so
%{_libdir}/asterisk/modules/app_followme.so
%{_libdir}/asterisk/modules/app_getcpeid.so
%{_libdir}/asterisk/modules/app_ices.so
%{_libdir}/asterisk/modules/app_image.so
%{_libdir}/asterisk/modules/app_macro.so
%{_libdir}/asterisk/modules/app_meetme.so
%{_libdir}/asterisk/modules/app_milliwatt.so
%{_libdir}/asterisk/modules/app_minivm.so
%{_libdir}/asterisk/modules/app_mixmonitor.so
%{_libdir}/asterisk/modules/app_morsecode.so
%{_libdir}/asterisk/modules/app_mp3.so
%{_libdir}/asterisk/modules/app_nbscat.so
%{_libdir}/asterisk/modules/app_originate.so
%{_libdir}/asterisk/modules/app_page.so
%{_libdir}/asterisk/modules/app_parkandannounce.so
%{_libdir}/asterisk/modules/app_playback.so
%{_libdir}/asterisk/modules/app_playtones.so
%{_libdir}/asterisk/modules/app_privacy.so
%{_libdir}/asterisk/modules/app_queue.so
%{_libdir}/asterisk/modules/app_readexten.so
%{_libdir}/asterisk/modules/app_read.so
%{_libdir}/asterisk/modules/app_record.so
%{_libdir}/asterisk/modules/app_sayunixtime.so
%{_libdir}/asterisk/modules/app_senddtmf.so
%{_libdir}/asterisk/modules/app_sendtext.so
%{_libdir}/asterisk/modules/app_sms.so
%{_libdir}/asterisk/modules/app_softhangup.so
%{_libdir}/asterisk/modules/app_speech_utils.so
%{_libdir}/asterisk/modules/app_stack.so
%{_libdir}/asterisk/modules/app_system.so
%{_libdir}/asterisk/modules/app_talkdetect.so
%{_libdir}/asterisk/modules/app_test.so
%{_libdir}/asterisk/modules/app_transfer.so
%{_libdir}/asterisk/modules/app_url.so
%{_libdir}/asterisk/modules/app_userevent.so
%{_libdir}/asterisk/modules/app_verbose.so
%{_libdir}/asterisk/modules/app_waitforring.so
%{_libdir}/asterisk/modules/app_waitforsilence.so
%{_libdir}/asterisk/modules/app_waituntil.so
%{_libdir}/asterisk/modules/app_while.so
%{_libdir}/asterisk/modules/app_zapateller.so
%{_libdir}/asterisk/modules/bridge_builtin_features.so
%{_libdir}/asterisk/modules/bridge_multiplexed.so
%{_libdir}/asterisk/modules/bridge_simple.so
%{_libdir}/asterisk/modules/bridge_softmix.so
%{_libdir}/asterisk/modules/cdr_csv.so
%{_libdir}/asterisk/modules/cdr_custom.so
%{_libdir}/asterisk/modules/cdr_manager.so
%{_libdir}/asterisk/modules/cdr_syslog.so
%{_libdir}/asterisk/modules/cel_custom.so
%{_libdir}/asterisk/modules/cel_manager.so
%{_libdir}/asterisk/modules/chan_agent.so
%{_libdir}/asterisk/modules/chan_bridge.so
%{_libdir}/asterisk/modules/chan_console.so
%{_libdir}/asterisk/modules/chan_dahdi.so
%{_libdir}/asterisk/modules/chan_iax2.so
%{_libdir}/asterisk/modules/chan_local.so
%{_libdir}/asterisk/modules/chan_misdn.so
%{_libdir}/asterisk/modules/chan_motif.so
%{_libdir}/asterisk/modules/chan_multicast_rtp.so
%{_libdir}/asterisk/modules/chan_oss.so
%{_libdir}/asterisk/modules/chan_phone.so
%{_libdir}/asterisk/modules/chan_skinny.so
%{_libdir}/asterisk/modules/chan_sip.so
%{_libdir}/asterisk/modules/chan_unistim.so
%{_libdir}/asterisk/modules/codec_adpcm.so
%{_libdir}/asterisk/modules/codec_alaw.so
%{_libdir}/asterisk/modules/codec_a_mu.so
%{_libdir}/asterisk/modules/codec_dahdi.so
%{_libdir}/asterisk/modules/codec_g722.so
%{_libdir}/asterisk/modules/codec_g726.so
%{_libdir}/asterisk/modules/codec_gsm.so
%{_libdir}/asterisk/modules/codec_ilbc.so
%{_libdir}/asterisk/modules/codec_lpc10.so
%{_libdir}/asterisk/modules/codec_speex.so
%{_libdir}/asterisk/modules/codec_ulaw.so
%{_libdir}/asterisk/modules/format_g719.so
%{_libdir}/asterisk/modules/format_g723.so
%{_libdir}/asterisk/modules/format_g726.so
%{_libdir}/asterisk/modules/format_g729.so
%{_libdir}/asterisk/modules/format_gsm.so
%{_libdir}/asterisk/modules/format_h263.so
%{_libdir}/asterisk/modules/format_h264.so
%{_libdir}/asterisk/modules/format_ilbc.so
%{_libdir}/asterisk/modules/format_jpeg.so
%{_libdir}/asterisk/modules/format_pcm.so
%{_libdir}/asterisk/modules/format_siren7.so
%{_libdir}/asterisk/modules/format_siren14.so
%{_libdir}/asterisk/modules/format_sln.so
%{_libdir}/asterisk/modules/format_vox.so
%{_libdir}/asterisk/modules/format_wav_gsm.so
%{_libdir}/asterisk/modules/format_wav.so
%{_libdir}/asterisk/modules/func_aes.so
%{_libdir}/asterisk/modules/func_audiohookinherit.so
%{_libdir}/asterisk/modules/func_base64.so
%{_libdir}/asterisk/modules/func_blacklist.so
%{_libdir}/asterisk/modules/func_callcompletion.so
%{_libdir}/asterisk/modules/func_callerid.so
%{_libdir}/asterisk/modules/func_cdr.so
%{_libdir}/asterisk/modules/func_channel.so
%{_libdir}/asterisk/modules/func_config.so
%{_libdir}/asterisk/modules/func_cut.so
%{_libdir}/asterisk/modules/func_db.so
%{_libdir}/asterisk/modules/func_devstate.so
%{_libdir}/asterisk/modules/func_dialgroup.so
%{_libdir}/asterisk/modules/func_dialplan.so
%{_libdir}/asterisk/modules/func_enum.so
%{_libdir}/asterisk/modules/func_env.so
%{_libdir}/asterisk/modules/func_extstate.so
%{_libdir}/asterisk/modules/func_frame_trace.so
%{_libdir}/asterisk/modules/func_global.so
%{_libdir}/asterisk/modules/func_groupcount.so
%{_libdir}/asterisk/modules/func_hangupcause.so
%{_libdir}/asterisk/modules/func_iconv.so
%{_libdir}/asterisk/modules/func_jitterbuffer.so
%{_libdir}/asterisk/modules/func_lock.so
%{_libdir}/asterisk/modules/func_logic.so
%{_libdir}/asterisk/modules/func_math.so
%{_libdir}/asterisk/modules/func_md5.so
%{_libdir}/asterisk/modules/func_module.so
%{_libdir}/asterisk/modules/func_pitchshift.so
%{_libdir}/asterisk/modules/func_presencestate.so
%{_libdir}/asterisk/modules/func_rand.so
%{_libdir}/asterisk/modules/func_realtime.so
%{_libdir}/asterisk/modules/func_sha1.so
%{_libdir}/asterisk/modules/func_shell.so
%{_libdir}/asterisk/modules/func_speex.so
%{_libdir}/asterisk/modules/func_sprintf.so
%{_libdir}/asterisk/modules/func_srv.so
%{_libdir}/asterisk/modules/func_strings.so
%{_libdir}/asterisk/modules/func_sysinfo.so
%{_libdir}/asterisk/modules/func_timeout.so
%{_libdir}/asterisk/modules/func_uri.so
%{_libdir}/asterisk/modules/func_version.so
%{_libdir}/asterisk/modules/func_vmcount.so
%{_libdir}/asterisk/modules/func_volume.so
%{_libdir}/asterisk/modules/pbx_ael.so
%{_libdir}/asterisk/modules/pbx_config.so
%{_libdir}/asterisk/modules/pbx_dundi.so
%{_libdir}/asterisk/modules/pbx_loopback.so
%{_libdir}/asterisk/modules/pbx_realtime.so
%{_libdir}/asterisk/modules/pbx_spool.so
%{_libdir}/asterisk/modules/res_adsi.so
%{_libdir}/asterisk/modules/res_ael_share.so
%{_libdir}/asterisk/modules/res_agi.so
%{_libdir}/asterisk/modules/res_calendar.so
%{_libdir}/asterisk/modules/res_calendar_caldav.so
%{_libdir}/asterisk/modules/res_calendar_ews.so
%{_libdir}/asterisk/modules/res_calendar_exchange.so
%{_libdir}/asterisk/modules/res_calendar_icalendar.so
%{_libdir}/asterisk/modules/res_clialiases.so
%{_libdir}/asterisk/modules/res_clioriginate.so
%{_libdir}/asterisk/modules/res_convert.so
%{_libdir}/asterisk/modules/res_corosync.so
%{_libdir}/asterisk/modules/res_crypto.so
%{_libdir}/asterisk/modules/res_format_attr_celt.so
%{_libdir}/asterisk/modules/res_format_attr_h263.so
%{_libdir}/asterisk/modules/res_format_attr_h264.so
%{_libdir}/asterisk/modules/res_format_attr_silk.so
%{_libdir}/asterisk/modules/res_http_post.so
%{_libdir}/asterisk/modules/res_http_websocket.so
%{_libdir}/asterisk/modules/res_limit.so
%{_libdir}/asterisk/modules/res_monitor.so
%{_libdir}/asterisk/modules/res_musiconhold.so
%{_libdir}/asterisk/modules/res_mutestream.so
%{_libdir}/asterisk/modules/res_phoneprov.so
%{_libdir}/asterisk/modules/res_realtime.so
%{_libdir}/asterisk/modules/res_rtp_asterisk.so
%{_libdir}/asterisk/modules/res_rtp_multicast.so
%{_libdir}/asterisk/modules/res_security_log.so
%{_libdir}/asterisk/modules/res_smdi.so
%{_libdir}/asterisk/modules/res_srtp.so
%{_libdir}/asterisk/modules/res_speech.so
%{_libdir}/asterisk/modules/res_stun_monitor.so
%{_libdir}/asterisk/modules/res_timing_dahdi.so
%{_libdir}/asterisk/modules/res_timing_pthread.so
%{_libdir}/asterisk/modules/res_xmpp.so
%{!?el5:%{_libdir}/asterisk/modules/res_timing_timerfd.so}
%{_sbindir}/asterisk
%{_sbindir}/rasterisk
%{_sbindir}/safe_asterisk
%{_sbindir}/astdb2bdb
%{_sbindir}/astdb2sqlite3
%{_sbindir}/astcanary
%{_sbindir}/astgenkey
%{?_without_newt:%if 0}
%{!?_without_newt:%if 1}
%endif
%{_sbindir}/autosupport

%{_libdir}/libasteriskssl.so
%{_libdir}/libasteriskssl.so.1

#
#  CDR Log Directories
#
%attr(0775,asterisk,asterisk) %dir %{_localstatedir}/log/asterisk
%attr(0775,asterisk,asterisk) %dir %{_localstatedir}/log/asterisk/cdr-csv
%attr(0775,asterisk,asterisk) %dir %{_localstatedir}/log/asterisk/cdr-custom

#
#  logrotate config
#
%config(noreplace) %{_sysconfdir}/logrotate.d/asterisk

#
#  run Directory
#
%attr(0775,asterisk,asterisk) %dir /var/run/asterisk

%attr(0755,asterisk,asterisk) %dir /var/lib/asterisk
%attr(0755,asterisk,asterisk) %dir /var/lib/asterisk/agi-bin
%attr(0755,asterisk,asterisk) %dir /var/lib/asterisk/documentation
%attr(0644,asterisk,asterisk)      /var/lib/asterisk/documentation/*
%attr(0755,asterisk,asterisk) %dir /var/lib/asterisk/images
%attr(0644,asterisk,asterisk)      /var/lib/asterisk/images/*
%attr(0755,asterisk,asterisk) %dir /var/lib/asterisk/keys
%attr(0755,asterisk,asterisk) %dir /var/lib/asterisk/licenses
%attr(0755,asterisk,asterisk) %dir /var/lib/asterisk/phoneprov
%attr(0644,asterisk,asterisk)      /var/lib/asterisk/phoneprov/*
%attr(0755,asterisk,asterisk) %dir /var/lib/asterisk/static-http
%attr(0644,asterisk,asterisk)      /var/lib/asterisk/static-http/*

%attr(0755,asterisk,asterisk) %dir /var/lib/digium
%attr(0755,asterisk,asterisk) %dir /var/lib/digium/licenses

#
#  Spool Directories
#
%attr(0775,asterisk,asterisk) %dir /var/spool/asterisk
%attr(0775,asterisk,asterisk) %dir /var/spool/asterisk/meetme
%attr(0775,asterisk,asterisk) %dir /var/spool/asterisk/system
%attr(0775,asterisk,asterisk) %dir /var/spool/asterisk/tmp
%attr(0775,asterisk,asterisk) %dir /var/spool/asterisk/voicemail

#
#  Alsa Subpackage
#
%{?_without_alsa:%if 0}
%{!?_without_alsa:%if 1}
%files alsa
%defattr(-, root, root)
%{_libdir}/asterisk/modules/chan_alsa.so
%endif

#
#  snmp Subpackage
#
%{?_without_snmp:%if 0}
%{!?_without_snmp:%if 1}
%files snmp
%defattr(-, root, root)
%{_libdir}/asterisk/modules/res_snmp.so
%endif

#
#  pgsql Subpackage
#
%{?_without_pgsql:%if 0}
%{!?_without_pgsql:%if 1}
%files pgsql
%defattr(-, root, root)
%{_libdir}/asterisk/modules/res_config_pgsql.so
%{_libdir}/asterisk/modules/cdr_pgsql.so
%{_libdir}/asterisk/modules/cel_pgsql.so
%endif

#
#  tds Subpackage
#
%{?_without_tds:%if 0}
%{!?_without_tds:%if 1}
%files tds
%defattr(-, root, root)
%{_libdir}/asterisk/modules/cdr_tds.so
%{_libdir}/asterisk/modules/cel_tds.so
%endif

#
#  jack Subpackage
#
%{?_without_jack:%if 0}
%{!?_without_jack:%if 1}
%files jack
%defattr(-, root, root)
%{_libdir}/asterisk/modules/app_jack.so
%endif

#
#  radius Subpackage
#
%{?_without_radius:%if 0}
%{!?_without_radius:%if 1}
%files radius
%defattr(-, root, root)
%{_libdir}/asterisk/modules/cdr_radius.so
%{_libdir}/asterisk/modules/cel_radius.so
%endif

#
#  ldap Subpackage
#
%{?_without_ldap:%if 0}
%{!?_without_ldap:%if 1}
%files ldap
%defattr(-, root, root)
%{_libdir}/asterisk/modules/res_config_ldap.so
%endif

#
#  lua Subpackage
#
%{?_without_lua:%if 0}
%{!?_without_lua:%if 1}
%files lua
%defattr(-, root, root)
%{_libdir}/asterisk/modules/pbx_lua.so
%endif

#
#  mISDN Subpackage
#
%{?_without_misdn:%if 0}
%{!?_without_misdn:%if 1}
%files misdn
%defattr(-, root, root)
%{_libdir}/asterisk/modules/chan_misdn.so
%endif

#
#  dahdi Subpackage
#
%{?_without_dahdi:%if 0}
%{!?_without_dahdi:%if 1}
%files dahdi
%defattr(-, root, root)
%{_libdir}/asterisk/modules/app_dahdiras.so
%{_libdir}/asterisk/modules/app_flash.so
%{_libdir}/asterisk/modules/app_meetme.so
%{_libdir}/asterisk/modules/app_page.so
%{_libdir}/asterisk/modules/chan_dahdi.so
%{_libdir}/asterisk/modules/codec_dahdi.so
%{_libdir}/asterisk/modules/res_timing_dahdi.so
%endif

#
#  Configs Subpackage
#
%files configs
%defattr(-, asterisk, asterisk)
%attr(0664,asterisk,asterisk) %config(noreplace) %{_sysconfdir}/asterisk/*

#
#  cURL Subpackage
#
%{?_without_curl:%if 0}
%{!?_without_curl:%if 1}
%files curl
%defattr(-, root, root)
%{_libdir}/asterisk/modules/func_curl.so
%{_libdir}/asterisk/modules/res_config_curl.so
%{_libdir}/asterisk/modules/res_curl.so
%endif

#
#  Development Subpackage
#
%files devel
%defattr(-, root, root)
%{_includedir}/asterisk.h
%{_includedir}/asterisk/_private.h
%{_includedir}/asterisk/abstract_jb.h
%{_includedir}/asterisk/acl.h
%{_includedir}/asterisk/adsi.h
%{_includedir}/asterisk/ael_structs.h
%{_includedir}/asterisk/agi.h
%{_includedir}/asterisk/alaw.h
%{_includedir}/asterisk/aoc.h
%{_includedir}/asterisk/autochan.h
%{_includedir}/asterisk/autoconfig.h
%{_includedir}/asterisk/app.h
%{_includedir}/asterisk/astdb.h
%{_includedir}/asterisk/ast_expr.h
%{_includedir}/asterisk/ast_version.h
%{_includedir}/asterisk/astmm.h
%{_includedir}/asterisk/astobj.h
%{_includedir}/asterisk/astobj2.h
%{_includedir}/asterisk/astosp.h
%{_includedir}/asterisk/audiohook.h
%{_includedir}/asterisk/bridging.h
%{_includedir}/asterisk/bridging_features.h
%{_includedir}/asterisk/bridging_technology.h
%{_includedir}/asterisk/build.h
%{_includedir}/asterisk/buildinfo.h
%{_includedir}/asterisk/buildopts.h
%{_includedir}/asterisk/calendar.h
%{_includedir}/asterisk/callerid.h
%{_includedir}/asterisk/causes.h
%{_includedir}/asterisk/ccss.h
%{_includedir}/asterisk/cdr.h
%{_includedir}/asterisk/cel.h
%{_includedir}/asterisk/celt.h
%{_includedir}/asterisk/channel.h
%{_includedir}/asterisk/channel_internal.h
%{_includedir}/asterisk/channelstate.h
%{_includedir}/asterisk/chanvars.h
%{_includedir}/asterisk/cli.h
%{_includedir}/asterisk/compat.h
%{_includedir}/asterisk/compiler.h
%{_includedir}/asterisk/config.h
%{_includedir}/asterisk/config_options.h
%{_includedir}/asterisk/crypto.h
%{_includedir}/asterisk/data.h
%{_includedir}/asterisk/datastore.h
%{_includedir}/asterisk/devicestate.h
%{_includedir}/asterisk/dial.h
%{_includedir}/asterisk/dlinkedlists.h
%{_includedir}/asterisk/dns.h
%{_includedir}/asterisk/dnsmgr.h
%{_includedir}/asterisk/doxyref.h
%{_includedir}/asterisk/dsp.h
%{_includedir}/asterisk/dundi.h
%{_includedir}/asterisk/endian.h
%{_includedir}/asterisk/enum.h
%{_includedir}/asterisk/event.h
%{_includedir}/asterisk/event_defs.h
%{_includedir}/asterisk/extconf.h
%{_includedir}/asterisk/features.h
%{_includedir}/asterisk/file.h
%{_includedir}/asterisk/format.h
%{_includedir}/asterisk/format_cap.h
%{_includedir}/asterisk/format_pref.h
%{_includedir}/asterisk/frame.h
%{_includedir}/asterisk/framehook.h
%{_includedir}/asterisk/frame_defs.h
%{_includedir}/asterisk/fskmodem.h
%{_includedir}/asterisk/fskmodem_float.h
%{_includedir}/asterisk/fskmodem_int.h
%{_includedir}/asterisk/hashtab.h
%{_includedir}/asterisk/heap.h
%{_includedir}/asterisk/http.h
%{_includedir}/asterisk/http_websocket.h
%{_includedir}/asterisk/image.h
%{_includedir}/asterisk/indications.h
%{_includedir}/asterisk/inline_api.h
%{_includedir}/asterisk/io.h
%{_includedir}/asterisk/jabber.h
%{_includedir}/asterisk/jingle.h
%{_includedir}/asterisk/global_datastores.h
%{_includedir}/asterisk/linkedlists.h
%{_includedir}/asterisk/localtime.h
%{_includedir}/asterisk/lock.h
%{_includedir}/asterisk/logger.h
%{_includedir}/asterisk/manager.h
%{_includedir}/asterisk/md5.h
%{_includedir}/asterisk/message.h
%{_includedir}/asterisk/mod_format.h
%{_includedir}/asterisk/module.h
%{_includedir}/asterisk/monitor.h
%{_includedir}/asterisk/musiconhold.h
%{_includedir}/asterisk/netsock.h
%{_includedir}/asterisk/netsock2.h
%{_includedir}/asterisk/network.h
%{_includedir}/asterisk/optional_api.h
%{_includedir}/asterisk/options.h
%{_includedir}/asterisk/paths.h
%{_includedir}/asterisk/pbx.h
%{_includedir}/asterisk/pktccops.h
%{_includedir}/asterisk/plc.h
%{_includedir}/asterisk/poll-compat.h
%{_includedir}/asterisk/presencestate.h
%{_includedir}/asterisk/privacy.h
%{_includedir}/asterisk/pval.h
%{_includedir}/asterisk/res_odbc.h
%{_includedir}/asterisk/res_fax.h
%{_includedir}/asterisk/res_srtp.h
%{_includedir}/asterisk/rtp_engine.h
%{_includedir}/asterisk/say.h
%{_includedir}/asterisk/sched.h
%{_includedir}/asterisk/security_events.h
%{_includedir}/asterisk/security_events_defs.h
%{_includedir}/asterisk/select.h
%{_includedir}/asterisk/sha1.h
%{_includedir}/asterisk/silk.h
%{_includedir}/asterisk/sip_api.h
%{_includedir}/asterisk/slin.h
%{_includedir}/asterisk/slinfactory.h
%{_includedir}/asterisk/smdi.h
%{_includedir}/asterisk/speech.h
%{_includedir}/asterisk/srv.h
%{_includedir}/asterisk/stringfields.h
%{_includedir}/asterisk/strings.h
%{_includedir}/asterisk/stun.h
%{_includedir}/asterisk/syslog.h
%{_includedir}/asterisk/taskprocessor.h
%{_includedir}/asterisk/tcptls.h
%{_includedir}/asterisk/tdd.h
%{_includedir}/asterisk/term.h
%{_includedir}/asterisk/test.h
%{_includedir}/asterisk/threadstorage.h
%{_includedir}/asterisk/time.h
%{_includedir}/asterisk/timing.h
%{_includedir}/asterisk/transcap.h
%{_includedir}/asterisk/translate.h
%{_includedir}/asterisk/udptl.h
%{_includedir}/asterisk/ulaw.h
%{_includedir}/asterisk/unaligned.h
%{_includedir}/asterisk/utils.h
%{_includedir}/asterisk/vector.h
%{_includedir}/asterisk/version.h
%{_includedir}/asterisk/xml.h
%{_includedir}/asterisk/xmldoc.h
%{_includedir}/asterisk/xmpp.h
%{_includedir}/asterisk/doxygen/architecture.h
%{_includedir}/asterisk/doxygen/asterisk-git-howto.h
%{_includedir}/asterisk/doxygen/commits.h
%{_includedir}/asterisk/doxygen/licensing.h
%{_includedir}/asterisk/doxygen/mantisworkflow.h
%{_includedir}/asterisk/doxygen/releases.h
%{_includedir}/asterisk/doxygen/reviewboard.h

#
#  Documentation Subpackage
#
%files doc
%defattr(-, root, root)

#
#  Manual Pages
#
%{_mandir}/man8/asterisk.8.gz
%{_mandir}/man8/astgenkey.8.gz
%{_mandir}/man8/autosupport.8.gz
%{_mandir}/man8/safe_asterisk.8.gz
%{_mandir}/man8/astdb2bdb.8.gz
%{_mandir}/man8/astdb2sqlite3.8.gz

#
#  Documents
#
#%{docdir}

#
#  Ogg-Vorbis Subpackage
#
%{?_without_ogg:%if 0}
%{!?_without_ogg:%if 1}
%files ogg
%defattr(-, root, root)
%{_libdir}/asterisk/modules/format_ogg_vorbis.so
%endif

#
#  Speex Subpackage
#
%{?_without_speex:%if 0}
%{!?_without_speex:%if 1}
%files speex
%defattr(-, root, root)
%{_libdir}/asterisk/modules/func_speex.so
%{_libdir}/asterisk/modules/codec_speex.so
%endif

#
#  resample Subpackage
#
%{?_without_resample:%if 0}
%{!?_without_resample:%if 1}
%files resample
%defattr(-, root, root)
%{_libdir}/asterisk/modules/codec_resample.so
%endif

#
#  unixODBC Subpackage
#
%{?_without_odbc:%if 0}
%{!?_without_odbc:%if 1}
%files odbc
%defattr(-, root, root)
%{_libdir}/asterisk/modules/cdr_adaptive_odbc.so
%{_libdir}/asterisk/modules/cdr_odbc.so
%{_libdir}/asterisk/modules/cel_odbc.so
%{_libdir}/asterisk/modules/func_odbc.so
%{_libdir}/asterisk/modules/res_config_odbc.so
%{_libdir}/asterisk/modules/res_odbc.so
%endif

#
#  sqlite3 Subpackage
#
%{?_without_sqlite3:%if 0}
%{!?_without_sqlite3:%if 1}
%files sqlite3
%defattr(-, root, root)
%{_libdir}/asterisk/modules/cdr_sqlite3_custom.so
%{_libdir}/asterisk/modules/cel_sqlite3_custom.so
%{_libdir}/asterisk/modules/res_config_sqlite3.so
%endif

#
#  voicemail file storage Subpackage
#
%files voicemail
%defattr(-, root, root)
%{_libdir}/asterisk/modules/app_voicemail.so

#
#  voicemail ODBC storage Subpackage
#
%{?_without_voicemail_odbcstorage:%if 0}
%{!?_without_voicemail_odbcstorage:%if 1}
%files voicemail-odbcstorage
%defattr(-, root, root)
%{_libdir}/asterisk/modules/app_voicemail_odbcstorage.so
%endif

#
#  voicemail IMAP storage Subpackage
#
%{?_without_voicemail_imapstorage:%if 0}
%{!?_without_voicemail_imapstorage:%if 1}
%files voicemail-imapstorage
%defattr(-, root, root)
%{_libdir}/asterisk/modules/app_voicemail_imapstorage.so
%endif

%files addons
%defattr(-, root, root)

%files addons-core
%defattr(-, root, root)
%{_libdir}/asterisk/modules/app_saycountpl.so
%{_libdir}/asterisk/modules/format_mp3.so

%{?_without_mysql:%if 0}
%{!?_without_mysql:%if 1}
%files addons-mysql
%{_libdir}/asterisk/modules/app_mysql.so
%{_libdir}/asterisk/modules/cdr_mysql.so
%{_libdir}/asterisk/modules/res_config_mysql.so
%endif

%{?_without_bluetooth:%if 0}
%{!?_without_bluetooth:%if 1}
%files addons-bluetooth
%{_libdir}/asterisk/modules/chan_mobile.so
%endif

%{?_without_ooh323:%if 0}
%{!?_without_ooh323:%if 1}
%files addons-ooh323
%{_libdir}/asterisk/modules/chan_ooh323.so
%endif

%{?_without_fax:%if 0}
%{!?_without_fax:%if 1}
%files addons-fax
%{_libdir}/asterisk/modules/res_fax.so
%{_libdir}/asterisk/modules/res_fax_spandsp.so
%endif


%changelog
* Tue Oct 27 2015 Ernani Azevedo <azevedo@voipdomain.io> - 11.20.0-1
- The Asterisk Development Team has announced the release of Asterisk 11.20.0.
- This release is available for immediate download at
- http://downloads.asterisk.org/pub/telephony/asterisk
-
- The release of Asterisk 11.20.0 resolves several issues reported by the
- community and would have not been possible without your participation.
- Thank you!
-
- The following are the issues resolved in this release:
-
- Bugs fixed in this release:
- -----------------------------------
-  * ASTERISK-25449 - main/sched: Regression introduced by
-       5c713fdf18f causes erroneous duplicate RTCP messages; other
-       potential scheduling issues in chan_sip/chan_skinny (Reported by
-       Matt Jordan)
-  * ASTERISK-25438 - res_rtp_asterisk: ICE role message even when
-       ICE is not enabled (Reported by Joshua Colp)
-  * ASTERISK-25427 - Callerid change does not always emit
-       NewCallerid AMI event (Reported by Ivan Poddubny)
-  * ASTERISK-25407 - Asterisk fails to log to multiple syslog
-       destinations (Reported by Elazar Broad)
-  * ASTERISK-25410 - app_record: RECORDED_FILE variable not being
-       populated (Reported by Kevin Harwell)
-  * ASTERISK-25394 - pbx: Incorrect device and presence state when
-       changing hint details (Reported by Joshua Colp)
-  * ASTERISK-25396 - chan_sip: Extremely long callerid name causes
-       invalid SIP (Reported by Walter Doekes)
-  * ASTERISK-25353 - [patch] Transcoding while different in Frame
-       size = Frames lost (Reported by Alexander Traud)
-  * ASTERISK-25227 - No audio at in-band announcements in ooh323
-       channel (Reported by Alexandr Dranchuk)
-  * ASTERISK-25346 - chan_sip: Overwriting answered elsewhere hangup
-       cause on call pickup (Reported by Joshua Colp)
-  * ASTERISK-25215 - Differences in queue.log between Set
-       QUEUE_MEMBER and using PauseQueueMember (Reported by Lorne
-       Gaetz)
-  * ASTERISK-25320 - chan_sip.c: sip_report_security_event searches
-       for wrong or non existent peer on invite (Reported by Kevin
-       Harwell)
-  * ASTERISK-25315 - DAHDI channels send shortened duration DTMF
-       tones. (Reported by Richard Mudgett)
-  * ASTERISK-25312 - res_http_websocket: Terminate connection on
-       fatal cases (Reported by Joshua Colp)
-  * ASTERISK-25265 - [patch]DTLS Failure when calling WebRTC-peer on
-       Firefox 39 - add ECDH support and fallback to prime256v1
-       (Reported by Stefan EngstrÃ¶m)
-
- Improvements made in this release:
- -----------------------------------
-  * ASTERISK-25310 - [patch]on FreeBSD also pthread_attr_init()
-       defaults to PTHREAD_EXPLICIT_SCHED (Reported by Guido Falsi)
-
- For a full list of changes in this release, please see the ChangeLog:
-
- http://downloads.asterisk.org/pub/telephony/asterisk/ChangeLog-11.20.0
-
- Thank you for your continued support of Asterisk!

* Tue Oct 27 2015 Ernani Azevedo <azevedo@voipdomain.io> - 11.19.0-1
- The Asterisk Development Team has announced the release of Asterisk 11.19.0.
- This release is available for immediate download at
- http://downloads.asterisk.org/pub/telephony/asterisk
-
- The release of Asterisk 11.19.0 resolves several issues reported by the
- community and would have not been possible without your participation.
- Thank you!
-
- The following are the issues resolved in this release:
-
- Bugs fixed in this release:
- -----------------------------------
-  * ASTERISK-25250 - chan_sip - Despite the channel being answered,
-       caller on a call established via Local channel continues to hear
-       ringback (Reported by Etienne Lessard)
-  * ASTERISK-25247 - choppy audio when spying on a g722 channel,
-       chan_sip or chan_pjsip (Reported by hristo)
-  * ASTERISK-24853 - Documentation claims chan_sip outbound
-       registrations support WS or WSS as valid transports (not true)
-       (Reported by PSDK)
-  * ASTERISK-25257 - [patch]channels/sig_pri.h -> sig_pri_span ->
-       force_restart_unavailable_chans in wrong scope (Reported by
-       Patric Marschall)
-  * ASTERISK-25103 - Roundup - investigate Asterisk DTLS crashes
-       (Reported by Rusty Newton)
-  * ASTERISK-22805 - res_rtp_asterisk: Crash when calling
-       BIO_ctrl_pending in dtls_srtp_check_pending when dialed by JSSIP
-       (Reported by Dmitry Burilov)
-  * ASTERISK-24550 - res_rtp_asterisk: Crash in
-       ast_rtp_on_ice_complete during DTLS handshake (Reported by
-       Osaulenko Alexander)
-  * ASTERISK-24651 - [patch] Fix race condition in DTLS (Reported by
-       Badalian Vyacheslav)
-  * ASTERISK-24832 - [patch]DTLS-crashes within openssl  (Reported
-       by Stefan EngstrÃ¶m)
-  * ASTERISK-25127 - DTLS crashes following "Unable to cancel
-       schedule ID" in dtls_srtp_check_pending (Reported by Dade
-       Brandon)
-  * ASTERISK-25213 - [patch]Possibility of deadlock in chan_sip
-       INVITE early Replace code (Reported by Walter Doekes)
-  * ASTERISK-25220 - [patch]Closing of fd -1 in chan_mgcp.c
-       (Reported by Walter Doekes)
-  * ASTERISK-25219 - [patch]Source and destination overlap in memcpy
-       in rtp_engine.c (Reported by Walter Doekes)
-  * ASTERISK-25212 - [patch]Segfault when using DEBUG_FD_LEAKS
-       (Reported by Walter Doekes)
-  * ASTERISK-19277 - [patch]endlessly repeating error: "poll failed:
-       Bad file descriptor" (Reported by Barry Chern)
-  * ASTERISK-25202 - Hints extension state broken between 13.3.2 and
-       13.4 (Reported by cervajs)
-  * ASTERISK-25154 - [patch]fromtag may need to be updated after
-       successful call dialog match (Reported by Damian Ivereigh)
-  * ASTERISK-25139 - Malicious transfer sequence locks up Asterisk
-       (Reported by Gregory Massel)
-  * ASTERISK-25094 - PBX core: Investigate thread safety issues
-       (Reported by Corey Farrell)
-  * ASTERISK-22559 - gcc 4.6 and higher supports weakref attribute
-       but asterisk doesn't detect it. (Reported by ibercom)
-  * ASTERISK-24717 - ASAN: global-buffer-overflow codec_{ilbc | gsm
-       | adpcm | ipc10} (Reported by Badalian Vyacheslav)
-  * ASTERISK-25100 - asterisk coredump if host has an IPv6 address
-       that end with ::80 (Reported by Mark Petersen)
-
- Improvements made in this release:
- -----------------------------------
-  * ASTERISK-25040 - pbx: Improve performance of reloads by making
-       hint destruction more performant (Reported by Matt Jordan)
-
- For a full list of changes in this release, please see the ChangeLog:
-
- http://downloads.asterisk.org/pub/telephony/asterisk/ChangeLog-11.19.0
-
- Thank you for your continued support of Asterisk!

* Wed Jul 01 2015 Ernani Azevedo <azevedo@voipdomain.io> - 11.18.0-1
- The Asterisk Development Team has announced the release of Asterisk 11.18.0.
- This release is available for immediate download at
- http://downloads.asterisk.org/pub/telephony/asterisk
-
- The release of Asterisk 11.18.0 resolves several issues reported by the
- community and would have not been possible without your participation.
- Thank you!
-
- The following are the issues resolved in this release:
-
- Bugs fixed in this release:
- -----------------------------------
-  * ASTERISK-25112 - Logger: Configuration settings are not reset to
-       default during reload. (Reported by Corey Farrell)
-  * ASTERISK-24887 - [patch]tags in a=crypto lines do not accept 2
-       or more digits (Reported by Makoto Dei)
-  * ASTERISK-24944 - main/audiohook.c change prevents G722 call
-       recording (Reported by Ronald Raikes)
-  * ASTERISK-25083 - Message.c: Message channel becomes saturated
-       with frames leading to spammy log messages (Reported by Jonathan
-       Rose)
-  * ASTERISK-25041 - [patch]Broken column type checking in
-       res_config_mysql addon (Reported by Alexandre Fournier)
-  * ASTERISK-21893 - Segfault after call hangup, in
-       ast_channel_hangupcause_set, at channel_internal_api.c (Reported
-       by Alexandr Gordeev)
-  * ASTERISK-25074 - Regression: Recent clang-related change broke
-       cross compiling of Asterisk (Reported by Sebastian Kemper)
-  * ASTERISK-25042 - asterisk.conf options override command-line
-       options. (Reported by Corey Farrell)
-  * ASTERISK-24442 - Outgoing call files don't work properly when
-       set in the future (Reported by tootai)
-  * ASTERISK-25034 - chan_dahdi: Some telco switches occasionally
-       ignore ISDN RESTART requests. (Reported by Richard Mudgett)
-  * ASTERISK-25038 - Queue log "EXITWITHTIMEOUT" does not always
-       contain waiting time (Reported by Etienne Lessard)
-  * ASTERISK-22708 - res_odbc.conf negative_connection_cache option
-       not respected, failover between DSNs doesn't work (Reported by
-       JoshE)
-  * ASTERISK-25028 - Build System: Unneeded defines in
-       asterisk/buildopts.h (Reported by Corey Farrell)
-  * ASTERISK-19608 - Asterisk-1.8.x  starts rejecting calls with
-       cause code 44 after some time. (Reported by Denis Alberto
-       Martinez)
-  * ASTERISK-24976 - cdr_odbc not include new columns added on 1.8
-       (Reported by Rodrigo Ramirez Norambuena)
-  * ASTERISK-25022 - Memory leak setting up DTLS/SRTP calls
-       (Reported by Steve Davies)
-  * ASTERISK-22790 - check_modem_rate() may return incorrect rate
-       for V.27 (Reported by not here)
-  * ASTERISK-23231 - Since 405693 If we have res_fax.conf file set
-       to minrate=2400, then res_fax refuse to load (Reported by David
-       Brillert)
-  * ASTERISK-24955 - res_fax: v.27ter support baud rate of 2400,
-       which is disallowed in res_fax's check_modem_rate (Reported by
-       Matt Jordan)
-  * ASTERISK-24916 - Increasing memory usage when multiple reinvite
-       during call (Reported by Christophe Osuna)
-  * ASTERISK-19538 - Asterisk segfaults on sippeers realtime
-       redundancy (Reported by Alex)
-  * ASTERISK-24749 - ConfBridge: Wrong language on playing
-       conf-hasjoin and conf-hasleft when played to bridge (Reported by
-       Philippe Bolduc)
-  * ASTERISK-24991 - Check for ao2_alloc failure in
-       __ast_channel_internal_alloc (Reported by Corey Farrell)
-  * ASTERISK-24895 - After hangup on the side of the ISDN network no
-       HangupRequest event comes for the dahdi channel. (Reported by
-       Andrew Zherdin)
-  * ASTERISK-24774 - Segfault in ast_context_destroy with
-       extensions.ael and extensions.conf (Reported by Corey Farrell)
-  * ASTERISK-24975 - Enabling 'DEBUG_THREADLOCALS' Causes the Build
-       to Fail (Reported by Ashley Sanders)
-  * ASTERISK-24959 - [patch]CLI command cdr show pgsql status
-       (Reported by Rodrigo Ramirez Norambuena)
-  * ASTERISK-24954 - Git migration: Asterisk version numbers are
-       incompatible with the Test Suite (Reported by Matt Jordan)
-  * ASTERISK-21777 - Asterisk tries to transcode video instead of
-       audio (Reported by Nick Ruggles)
-  * ASTERISK-24380 - core: Native formats are set to h264 with
-       certain audio/video codec configuration, resulting in path
-       translation WARNINGs (Reported by Matt Jordan)
-  * ASTERISK-22352 - [patch] IAX2 custom qualify timer is not taken
-       into account (Reported by Frederic Van Espen)
-  * ASTERISK-24894 - [patch] iax2_poke_noanswer expiration timer too
-       short (Reported by Y Ateya)
-  * ASTERISK-23319 - Segmentation fault in queue_exec at app_queue.c
-       (Reported by Vadim)
-  * ASTERISK-24847 - [security] [patch] tcptls: certificate CN NULL
-       byte prefix bug (Reported by Matt Jordan)
-  * ASTERISK-21211 - chan_iax2 - unprotected access of
-       iaxs[peer->callno] potentially results in segfault (Reported by
-       Jaco Kroon)
-  * ASTERISK-18032 - [patch] - IPv6 and IPv4 NAT not working
-       (Reported by Christoph Timm)
-  * ASTERISK-24942 - Voicemail API: message is deleted when
-       destination mailbox is at maxmsg (Reported by Scott Griepentrog)
-  * ASTERISK-24932 - Asterisk 13.x does not build with GCC 5.0
-       (Reported by Jeffrey C. Ollie)
-  * ASTERISK-21854 - Long Asterisk-version strings display
-       improperly in the 'Connected to ...' line upon remote console
-       connection (Reported by klaus3000)
-  * ASTERISK-24155 - [patch]Non-portable and non-reliable recursion
-       detection in ast_malloc (Reported by Timo TerÃ¤s)
-  * ASTERISK-24142 - CCSS: crash during shutdown due to device
-       lookup in destroyed container (Reported by David Brillert)
-  * ASTERISK-24683 - Crash in PBX ast_hashtab_lookup_internal during
-       core restart now (Reported by Peter Katzmann)
-  * ASTERISK-24805 - [patch] - ASAN: Race condition
-       (heap-use-after-free) on asterisk closing (Reported by Badalian
-       Vyacheslav)
-  * ASTERISK-24881 - ast_register_atexit should only be used when
-       absolutely needed (Reported by Corey Farrell)
-  * ASTERISK-24864 - app_confbridge: file playback blocks dtmf
-       (Reported by Kevin Harwell)
-  * ASTERISK-14233 - [patch] Buddies are always auto-registered when
-       processing the roster (Reported by Simon Arlott)
-  * ASTERISK-24780 - [patch] - Buddies are always auto-registered
-       when processing the roster (Reported by Simon Arlott)
-
- Improvements made in this release:
- -----------------------------------
-  * ASTERISK-24744 - Swedish Core Voice prompts (Reported by Tove
-       Hjelm)
-  * ASTERISK-25043 - [patch] Avoiding ERR_remove_state in OpenSSL
-       (Reported by Alexander Traud)
-  * ASTERISK-24917 - [patch] clang compilation warnings (Reported by
-       Diederik de Groot)
-  * ASTERISK-25040 - pbx: Improve performance of reloads by making
-       hint destruction more performant (Reported by Matt Jordan)
-  * ASTERISK-24965 - cel_pgsql - log_error string references CDR
-       instead of CEL (Reported by Rodrigo Ramirez Norambuena)
-
- For a full list of changes in this release, please see the ChangeLog:
-
- http://downloads.asterisk.org/pub/telephony/asterisk/ChangeLog-11.18.0
-
- Thank you for your continued support of Asterisk!

* Wed Jul 01 2015 Ernani Azevedo <azevedo@voipdomain.io> - 11.17.1-1
- The Asterisk Development Team has announced security releases for Certified
- Asterisk 1.8.28, 11.6, and 13.1 and Asterisk 1.8, 11, 12, and 13. The available
- security releases are released as versions 1.8.28.cert-5, 1.8.32.3, 11.6-cert11,
- 11.17.1, 12.8.2, 13.1-cert2, and 13.3.2.
-
- These releases are available for immediate download at
- http://downloads.asterisk.org/pub/telephony/asterisk/releases
-
- The release of these versions resolves the following security vulnerability:
-
- * AST-2015-003: TLS Certificate Common name NULL byte exploit 
-
-   When Asterisk registers to a SIP TLS device and and verifies the server,
-   Asterisk will accept signed certificates that match a common name other than
-   the one Asterisk is expecting if the signed certificate has a common name
-   containing a null byte after the portion of the common name that Asterisk
-   expected. This potentially allows for a man in the middle attack.
-
- For more information about the details of this vulnerability, please read
- security advisory AST-2015-003, which was released at the same time as this
- announcement.
-
- For a full list of changes in the current releases, please see the ChangeLogs:
-
- http://downloads.asterisk.org/pub/telephony/certified-asterisk/releases/ChangeLog-1.8.28-cert5
- http://downloads.asterisk.org/pub/telephony/asterisk/releases/ChangeLog-1.8.32.3
- http://downloads.asterisk.org/pub/telephony/certified-asterisk/releases/ChangeLog-11.6-cert11
- http://downloads.asterisk.org/pub/telephony/asterisk/releases/ChangeLog-11.17.1
- http://downloads.asterisk.org/pub/telephony/asterisk/releases/ChangeLog-12.8.2
- http://downloads.asterisk.org/pub/telephony/certified-asterisk/releases/ChangeLog-13.1-cert2
- http://downloads.asterisk.org/pub/telephony/asterisk/releases/ChangeLog-13.3.2
-
- The security advisory is available at:
-
- * http://downloads.asterisk.org/pub/security/AST-2015-003.pdf
-
- Thank you for your continued support of Asterisk!

* Sat Apr 04 2015 Ernani Azevedo <azevedo@voipdomain.io> - 11.17.0-1
- The Asterisk Development Team has announced the release of Asterisk 11.17.0.
- This release is available for immediate download at
- http://downloads.asterisk.org/pub/telephony/asterisk
-
- The release of Asterisk 11.17.0 resolves several issues reported by the
- community and would have not been possible without your participation.
- Thank you!
-
- The following are the issues resolved in this release:
-
- New Features made in this release:
- -----------------------------------
-  * ASTERISK-17899 - Handle crypto lifetime in SDES-SRTP negotiation
-       (Reported by Dwayne Hubbard)
-
- Bugs fixed in this release:
- -----------------------------------
-  * ASTERISK-24742 - [patch] Fix ast_odbc_find_table function in
-       res_odbc (Reported by ibercom)
-  * ASTERISK-22436 - [patch] No BYE to masqueraded channel on INVITE
-       with replaces (Reported by Eelco Brolman)
-  * ASTERISK-24479 - Enable REF_DEBUG for module references
-       (Reported by Corey Farrell)
-  * ASTERISK-24701 - Stasis: Write timeout on WebSocket fails to
-       fully disconnect underlying socket, leading to events being
-       dropped with no additional information (Reported by Matt Jordan)
-  * ASTERISK-24772 - ODBC error in realtime sippeers when device
-       unregisters under MariaDB (Reported by Richard Miller)
-  * ASTERISK-24451 - chan_iax2: reference leak in sched_delay_remove
-       (Reported by Corey Farrell)
-  * ASTERISK-24799 - [patch] make fails with undefined reference to
-       SSLv3_client_method (Reported by Alexander Traud)
-  * ASTERISK-24787 - [patch] - Microsoft exchange incompatibility
-       for playing back messages stored in IMAP - play_message: No
-       origtime (Reported by Graham Barnett)
-  * ASTERISK-24814 - asterisk/lock.h: Fix syntax errors for non-gcc
-       OSX with 64 bit integers (Reported by Corey Farrell)
-  * ASTERISK-24796 - Codecs and bucket schema's prevent module
-       unload (Reported by Corey Farrell)
-  * ASTERISK-24724 - 'httpstatus' Web Page Produces Incomplete HTML
-       (Reported by Ashley Sanders)
-  * ASTERISK-24797 - bridge_softmix: G.729 codec license held
-       (Reported by Kevin Harwell)
-  * ASTERISK-24800 - Crash in __sip_reliable_xmit due to invalid
-       thread ID being passed to pthread_kill (Reported by JoshE)
-  * ASTERISK-17721 - Incoming SRTP calls that specify a key lifetime
-       fail (Reported by Terry Wilson)
-  * ASTERISK-23214 - chan_sip WARNING message 'We are requesting
-       SRTP for audio, but they responded without it' is ambiguous and
-       wrong in some cases (Reported by Rusty Newton)
-  * ASTERISK-15434 - [patch] When ast_pbx_start failed, both an
-       error response and BYE are sent to the caller (Reported by
-       Makoto Dei)
-  * ASTERISK-18105 - most of asterisk modules are unbuildable in
-       cygwin environment (Reported by feyfre)
-  * ASTERISK-24828 - Fix Frame Leaks (Reported by Kevin Harwell)
-  * ASTERISK-24838 - chan_sip: Locking inversion occurs when
-       building a peer causes a peer poke during request handling
-       (Reported by Richard Mudgett)
-  * ASTERISK-24825 - Caller ID not recognized using
-       Centrex/Distinctive dialing (Reported by Richard Mudgett)
-  * ASTERISK-24739 - [patch] - Out of files -- call fails --
-       numerous files with inodes from under /usr/share/zoneinfo,
-       mostly posixrules (Reported by Ed Hynan)
-  * ASTERISK-23390 - NewExten Event with application AGI shows up
-       before and after AGI runs (Reported by Benjamin Keith Ford)
-  * ASTERISK-24786 - [patch] - Asterisk terminates when playing a
-       voicemail stored in LDAP (Reported by Graham Barnett)
-  * ASTERISK-24808 - res_config_odbc: Improper escaping of
-       backslashes occurs with MySQL (Reported by Javier Acosta)
-  * ASTERISK-20850 - [patch]Nested functions aren't portable.
-       Adapting RAII_VAR to use clang/llvm blocks to get the
-       same/similar functionality. (Reported by Diederik de Groot)
-  * ASTERISK-19470 - Documentation on app_amd is incorrect (Reported
-       by Frank DiGennaro)
-  * ASTERISK-21038 - Bad command completion of "core set debug
-       channel" (Reported by Richard Kenner)
-  * ASTERISK-18708 - func_curl hangs channel under load (Reported by
-       Dave Cabot)
-  * ASTERISK-16779 - Cannot disallow unknown format '' (Reported by
-       Atis Lezdins)
-  * ASTERISK-24876 - Investigate reference leaks from
-       tests/channels/local/local_optimize_away (Reported by Corey
-       Farrell)
-  * ASTERISK-24817 - init_logger_chain: unreachable code block
-       (Reported by Corey Farrell)
-  * ASTERISK-24880 - [patch]Compilation under OpenBSD  (Reported by
-       snuffy)
-  * ASTERISK-24879 - [patch]Compilation fails due to 64bit time
-       under OpenBSD (Reported by snuffy)
-
- Improvements made in this release:
- -----------------------------------
-  * ASTERISK-24790 - Reduce spurious noise in logs from voicemail -
-       Couldn't find mailbox %s in context (Reported by Graham Barnett)
-
- For a full list of changes in this release, please see the ChangeLog:
-
- http://downloads.asterisk.org/pub/telephony/asterisk/ChangeLog-11.17.0
-
- Thank you for your continued support of Asterisk!

* Tue Mar 17 2015 Ernani Azevedo <azevedo@voipdomain.io> - 11.16.0-1
- The Asterisk Development Team has announced the release of Asterisk 11.16.0.
- This release is available for immediate download at
- http://downloads.asterisk.org/pub/telephony/asterisk
-
- The release of Asterisk 11.16.0 resolves several issues reported by the
- community and would have not been possible without your participation.
- Thank you!
-
- The following are the issues resolved in this release:
-
- Bugs fixed in this release:
- -----------------------------------
- * ASTERISK-24472 - Asterisk Crash in OpenSSL when calling over WSS
-      from JSSIP (Reported by Badalian Vyacheslav)
- * ASTERISK-24614 - Deadlock when DEBUG_THREADS compiler flag
-      enabled (Reported by Richard Mudgett)
- * ASTERISK-24449 - Reinvite for T.38 UDPTL fails if SRTP is
-      enabled (Reported by Andreas Steinmetz)
- * ASTERISK-24619 - [patch]Gcc 4.10 fixes in r413589 (1.8) wrongly
-      casts char to unsigned int (Reported by Walter Doekes)
- * ASTERISK-24337 - Spammy DEBUG message needs to be at a higher
-      level - 'Remote address is null, most likely RTP has been
-      stopped' (Reported by Rusty Newton)
- * ASTERISK-23733 - 'reload acl' fails if acl.conf is not present
-      on startup (Reported by Richard Kenner)
- * ASTERISK-24628 - [patch] chan_sip - CANCEL is sent to wrong
-      destination when 'sendrpid=yes' (in proxy environment) (Reported
-      by Karsten Wemheuer)
- * ASTERISK-24672 - [PATCH] Memory leak in func_curl CURLOPT
-      (Reported by Kristian Høgh)
- * ASTERISK-20744 - [patch] Security event logging does not work
-      over syslog (Reported by Michael Keuter)
- * ASTERISK-23850 - Park Application does not respect Return
-      Context Priority (Reported by Andrew Nagy)
- * ASTERISK-23991 - [patch]asterisk.pc file contains a small error
-      in the CFlags returned (Reported by Diederik de Groot)
- * ASTERISK-24288 - [patch] - ODBC usage with app_voicemail -
-      voicemail is not deleted after review, hangup (Reported by LEI
-      FU)
- * ASTERISK-24048 - [patch] contrib/scripts/install_prereq selects
-      32-bit packages on 64-bit hosts (Reported by Ben Klang)
- * ASTERISK-24709 - [patch] msg_create_from_file used by MixMonitor
-      m() option does not queue an MWI event (Reported by Gareth
-      Palmer)
- * ASTERISK-24355 - [patch] chan_sip realtime uses case sensitive
-      column comparison for 'defaultuser' (Reported by
-      HZMI8gkCvPpom0tM)
- * ASTERISK-24719 - ConfBridge recording channels get stuck when
-      recording started/stopped more than once (Reported by Richard
-      Mudgett)
- * ASTERISK-24715 - chan_sip: stale nonce causes failure (Reported
-      by Kevin Harwell)
- * ASTERISK-24728 - tcptls: Bad file descriptor error when
-      reloading chan_sip (Reported by Kevin Harwell)
- * ASTERISK-24676 - Security Vulnerability: URL request injection
-      in libCURL (CVE-2014-8150) (Reported by Matt Jordan)
- * ASTERISK-24711 - DTLS handshake broken with latest OpenSSL
-      versions (Reported by Jared Biel)
- * ASTERISK-24646 - PJSIP changeset 4899 breaks TLS (Reported by
-      Stephan Eisvogel)
-
- For a full list of changes in this release, please see the ChangeLog:
-
- http://downloads.asterisk.org/pub/telephony/asterisk/ChangeLog-11.16.0
-
- Thank you for your continued support of Asterisk!

* Thu Jan 29 2015 Ernani Azevedo <azevedo@voipdomain.io> - 11.15.1-1
- The Asterisk Development Team has announced security releases for Certified
- Asterisk 1.8.28 and 11.6 and Asterisk 1.8, 11, 12, and 13. The available
- security releases are released as versions 1.8.28.cert-4, 1.8.32.2, 11.6-cert10,
- 11.15.1, 12.8.1, and 13.1.1.
-
- These releases are available for immediate download at
- http://downloads.asterisk.org/pub/telephony/asterisk/releases
-
- The release of these versions resolves the following security vulnerabilities:
-
- * AST-2015-001: File descriptor leak when incompatible codecs are offered
-
-                 Asterisk may be configured to only allow specific audio or
-                 video codecs to be used when communicating with a
-                 particular endpoint. When an endpoint sends an SDP offer
-                 that only lists codecs not allowed by Asterisk, the offer
-                 is rejected. However, in this case, RTP ports that are
-                 allocated in the process are not reclaimed.
-
-                 This issue only affects the PJSIP channel driver in
-                 Asterisk. Users of the chan_sip channel driver are not
-                 affected.
-
- * AST-2015-002: Mitigation for libcURL HTTP request injection vulnerability
-
-                 CVE-2014-8150 reported an HTTP request injection
-                 vulnerability in libcURL. Asterisk uses libcURL in its
-                 func_curl.so module (the CURL() dialplan function), as well
-                 as its res_config_curl.so (cURL realtime backend) modules.
-
-                 Since Asterisk may be configured to allow for user-supplied
-                 URLs to be passed to libcURL, it is possible that an
-                 attacker could use Asterisk as an attack vector to inject
-                 unauthorized HTTP requests if the version of libcURL
-                 installed on the Asterisk server is affected by
-                 CVE-2014-8150.
-
- For more information about the details of these vulnerabilities, please read
- security advisory AST-2015-001 and AST-2015-002, which were released at the same
- time as this announcement.
-
- For a full list of changes in the current releases, please see the ChangeLogs:
-
- http://downloads.asterisk.org/pub/telephony/certified-asterisk/releases/ChangeLog-1.8.28-cert4
- http://downloads.asterisk.org/pub/telephony/asterisk/releases/ChangeLog-1.8.32.2
- http://downloads.asterisk.org/pub/telephony/certified-asterisk/releases/ChangeLog-11.6-cert10
- http://downloads.asterisk.org/pub/telephony/asterisk/releases/ChangeLog-11.15.1
- http://downloads.asterisk.org/pub/telephony/asterisk/releases/ChangeLog-12.8.1
- http://downloads.asterisk.org/pub/telephony/asterisk/releases/ChangeLog-13.1.1
-
- The security advisories are available at:
-
-  * http://downloads.asterisk.org/pub/security/AST-2015-001.pdf
-  * http://downloads.asterisk.org/pub/security/AST-2015-002.pdf
-
- Thank you for your continued support of Asterisk!

* Thu Jan 29 2015 Ernani Azevedo <azevedo@voipdomain.io> - 11.15.0-1
- The Asterisk Development Team has announced the release of Asterisk 11.15.0.
- This release is available for immediate download at
- http://downloads.asterisk.org/pub/telephony/asterisk
-
- The release of Asterisk 11.15.0 resolves several issues reported by the
- community and would have not been possible without your participation.
- Thank you!
-
- The following are the issues resolved in this release:
-
- Bugs fixed in this release:
- -----------------------------------
-  * ASTERISK-20127 - [Regression] Config.c config_text_file_load()
-       unescapes semicolons ("\;" -> ";") turning them into comments
-       (corruption) on rewrite of a config file (Reported by George
-       Joseph)
-  * ASTERISK-24307 - Unintentional memory retention in stringfields
-       (Reported by Etienne Lessard)
-  * ASTERISK-24492 - main/file.c: ast_filestream sometimes causes
-       extra calls to ast_module_unref (Reported by Corey Farrell)
-  * ASTERISK-24504 - chan_console: Fix reference leaks to pvt
-       (Reported by Corey Farrell)
-  * ASTERISK-24468 - Incoming UCS2 encoded SMS truncated if SMS
-       length exceeds 50 (roughly) national symbols (Reported by
-       Dmitriy Bubnov)
-  * ASTERISK-24500 - Regression introduced in chan_mgcp by SVN
-       revision r227276 (Reported by Xavier Hienne)
-  * ASTERISK-20402 - Unable to cancel (features.conf) attended
-       transfer (Reported by Matt Riddell)
-  * ASTERISK-24505 - manager: http connections leak references
-       (Reported by Corey Farrell)
-  * ASTERISK-24502 - Build fails when dev-mode, dont optimize and
-       coverage are enabled (Reported by Corey Farrell)
-  * ASTERISK-24444 - PBX: Crash when generating extension for
-       pattern matching hint (Reported by Leandro Dardini)
-  * ASTERISK-24522 - ConfBridge: delay occurs between kicking all
-       endmarked users when last marked user leaves (Reported by Matt
-       Jordan)
-  * ASTERISK-15242 - transmit_refer leaks sip_refer structures
-       (Reported by David Woolley)
-  * ASTERISK-24440 - Call leak in Confbridge (Reported by Ben Klang)
-  * ASTERISK-24469 - Security Vulnerability: Mixed IPv4/IPv6 ACLs
-       allow blocked addresses through (Reported by Matt Jordan)
-  * ASTERISK-24516 - [patch]Asterisk segfaults when playing back
-       voicemail under high concurrency with an IMAP backend (Reported
-       by David Duncan Ross Palmer)
-  * ASTERISK-24572 - [patch]App_meetme is loaded without its
-       defaults when the configuration file is missing (Reported by
-       Nuno Borges)
-  * ASTERISK-24573 - [patch]Out of sync conversation recording when
-       divided in multiple recordings (Reported by Nuno Borges)
-
- Improvements made in this release:
- -----------------------------------
-  * ASTERISK-24283 - [patch]Microseconds precision in the eventtime
-       column in the cel_odbc module (Reported by Etienne Lessard)
-  * ASTERISK-24530 - [patch] app_record stripping 1/4 second from
-       recordings (Reported by Ben Smithurst)
-  * ASTERISK-24577 - Speed up loopback switches by avoiding unneeded
-       lookups (Reported by Birger "WIMPy" Harzenetter)
-
- For a full list of changes in this release, please see the ChangeLog:
-
- http://downloads.asterisk.org/pub/telephony/asterisk/ChangeLog-11.15.0
-
- Thank you for your continued support of Asterisk!

* Thu Jan 29 2015 Ernani Azevedo <azevedo@voipdomain.io> - 11.14.2-1
- The Asterisk Development Team has announced security releases for Certified
- Asterisk 11.6 and Asterisk 11, 12, and 13. The available security releases are
- released as versions 11.6-cert9, 11.14.2, 12.7.2, and 13.0.2.
-
- These releases are available for immediate download at
- http://downloads.asterisk.org/pub/telephony/asterisk/releases
-
- The release of these versions resolves the following security vulnerability:
-
- * AST-2014-019: Remote Crash Vulnerability in WebSocket Server
-
-   When handling a WebSocket frame the res_http_websocket module dynamically
-   changes the size of the memory used to allow the provided payload to fit. If a
-   payload length of zero was received the code would incorrectly attempt to
-   resize to zero. This operation would succeed and end up freeing the memory but
-   be treated as a failure. When the session was subsequently torn down this
-   memory would get freed yet again causing a crash.
-
- For more information about the details of this vulnerability, please read
- security advisory AST-2014-019, which was released at the same time as this
- announcement.
-
- For a full list of changes in the current releases, please see the ChangeLogs:
-
- http://downloads.asterisk.org/pub/telephony/certified-asterisk/releases/ChangeLog-11.6-cert9
- http://downloads.asterisk.org/pub/telephony/asterisk/releases/ChangeLog-11.14.2
- http://downloads.asterisk.org/pub/telephony/asterisk/releases/ChangeLog-12.7.2
- http://downloads.asterisk.org/pub/telephony/asterisk/releases/ChangeLog-13.0.2
-
- The security advisory is available at:
-
-  * http://downloads.asterisk.org/pub/security/AST-2014-019.pdf
-
- Thank you for your continued support of Asterisk!

* Thu Jan 29 2015 Ernani Azevedo <azevedo@voipdomain.io> - 11.14.1-1
- The Asterisk Development Team has announced security releases for Certified
- Asterisk 1.8.28 and 11.6 and Asterisk 1.8, 11, 12, and 13. The available
- security releases are released as versions 1.8.28-cert3, 11.6-cert8,
- 1.8.32.1, 11.14.1, 12.7.1, and 13.0.1.
-
- These releases are available for immediate download at
- http://downloads.asterisk.org/pub/telephony/asterisk/releases
-
- The release of these versions resolves the following security vulnerabilities:
-
- * AST-2014-012: Unauthorized access in the presence of ACLs with mixed IP
-   address families
-
-   Many modules in Asterisk that service incoming IP traffic have ACL options
-   ("permit" and "deny") that can be used to whitelist or blacklist address
-   ranges. A bug has been discovered where the address family of incoming
-   packets is only compared to the IP address family of the first entry in the
-   list of access control rules. If the source IP address for an incoming
-   packet is not of the same address as the first ACL entry, that packet
-   bypasses all ACL rules.
-
- * AST-2014-018: Permission Escalation through DB dialplan function
-
-   The DB dialplan function when executed from an external protocol, such as AMI,
-   could result in a privilege escalation. Users with a lower class authorization
-   in AMI can access the internal Asterisk database without the required SYSTEM
-   class authorization.
-
- In addition, the release of 11.6-cert8 and 11.14.1 resolves the following
- security vulnerability:
-
- * AST-2014-014: High call load with ConfBridge can result in resource exhaustion
-
-   The ConfBridge application uses an internal bridging API to implement
-   conference bridges. This internal API uses a state model for channels within
-   the conference bridge and transitions between states as different things
-   occur. Unload load it is possible for some state transitions to be delayed
-   causing the channel to transition from being hung up to waiting for media. As
-   the channel has been hung up remotely no further media will arrive and the
-   channel will stay within ConfBridge indefinitely.
-
- In addition, the release of 11.6-cert8, 11.14.1, 12.7.1, and 13.0.1 resolves
- the following security vulnerability:
-
- * AST-2014-017: Permission Escalation via ConfBridge dialplan function and
-                 AMI ConfbridgeStartRecord Action
-
-   The CONFBRIDGE dialplan function when executed from an external protocol (such
-   as AMI) can result in a privilege escalation as certain options within that
-   function can affect the underlying system. Additionally, the AMI
-   ConfbridgeStartRecord action has options that would allow modification of the
-   underlying system, and does not require SYSTEM class authorization in AMI.
-
- Finally, the release of 12.7.1 and 13.0.1 resolves the following security
- vulnerabilities:
-
- * AST-2014-013: Unauthorized access in the presence of ACLs in the PJSIP stack
-
-   The Asterisk module res_pjsip provides the ability to configure ACLs that may
-   be used to reject SIP requests from various hosts. However, the module
-   currently fails to create and apply the ACLs defined in its configuration
-   file on initial module load.
-
- * AST-2014-015: Remote crash vulnerability in PJSIP channel driver
-
-   The chan_pjsip channel driver uses a queue approach for relating to SIP
-   sessions. There exists a race condition where actions may be queued to answer
-   a session or send ringing after a SIP session has been terminated using a
-   CANCEL request. The code will incorrectly assume that the SIP session is still
-   active and attempt to send the SIP response. The PJSIP library does not
-   expect the SIP session to be in the disconnected state when sending the
-   response and asserts.
-
- * AST-2014-016: Remote crash vulnerability in PJSIP channel driver
-
-   When handling an INVITE with Replaces message the res_pjsip_refer module
-   incorrectly assumes that it will be operating on a channel that has just been
-   created. If the INVITE with Replaces message is sent in-dialog after a session
-   has been established this assumption will be incorrect. The res_pjsip_refer
-   module will then hang up a channel that is actually owned by another thread.
-   When this other thread attempts to use the just hung up channel it will end up
-   using a freed channel which will likely result in a crash.
-
- For more information about the details of these vulnerabilities, please read
- security advisories AST-2014-012, AST-2014-013, AST-2014-014, AST-2014-015,
- AST-2014-016, AST-2014-017, and AST-2014-018, which were released at the
- same time as this announcement.
-
- For a full list of changes in the current releases, please see the ChangeLogs:
-
- http://downloads.asterisk.org/pub/telephony/certified-asterisk/releases/ChangeLog-1.8.28-cert3
- http://downloads.asterisk.org/pub/telephony/certified-asterisk/releases/ChangeLog-11.6-cert8
- http://downloads.asterisk.org/pub/telephony/asterisk/releases/ChangeLog-1.8.32.1
- http://downloads.asterisk.org/pub/telephony/asterisk/releases/ChangeLog-11.14.1
- http://downloads.asterisk.org/pub/telephony/asterisk/releases/ChangeLog-12.7.1
- http://downloads.asterisk.org/pub/telephony/asterisk/releases/ChangeLog-13.0.1
-
- The security advisories are available at:
-
-  * http://downloads.asterisk.org/pub/security/AST-2014-012.pdf
-  * http://downloads.asterisk.org/pub/security/AST-2014-013.pdf
-  * http://downloads.asterisk.org/pub/security/AST-2014-014.pdf
-  * http://downloads.asterisk.org/pub/security/AST-2014-015.pdf
-  * http://downloads.asterisk.org/pub/security/AST-2014-016.pdf
-  * http://downloads.asterisk.org/pub/security/AST-2014-017.pdf
-  * http://downloads.asterisk.org/pub/security/AST-2014-018.pdf
-
- Thank you for your continued support of Asterisk!

* Mon Nov 10 2014 Ernani Azevedo <azevedo@voipdomain.io> - 11.14.0-1
- The Asterisk Development Team has announced the release of Asterisk 11.14.0.
- This release is available for immediate download at
- http://downloads.asterisk.org/pub/telephony/asterisk
-
- The release of Asterisk 11.14.0 resolves several issues reported by the
- community and would have not been possible without your participation.
- Thank you!
-
- The following are the issues resolved in this release:
-
- Bugs fixed in this release:
- -----------------------------------
-  * ASTERISK-24348 - Built-in editline tab complete segfault with
-       MALLOC_DEBUG (Reported by Walter Doekes)
-  * ASTERISK-24335 - [PATCH] Asterisk incorrectly responds 503 to
-       INVITE retransmissions of rejected calls (Reported by Torrey
-       Searle)
-  * ASTERISK-23768 - [patch] Asterisk man page contains a (new)
-       unquoted minus sign (Reported by Jeremy Lainé)
-  * ASTERISK-24357 - [fax] Out of bounds error in update_modem_bits
-       (Reported by Jeremy Lainé)
-  * ASTERISK-20567 - bashism in autosupport (Reported by Tzafrir
-       Cohen)
-  * ASTERISK-22945 - [patch] Memory leaks in chan_sip.c with
-       realtime peers (Reported by ibercom)
-  * ASTERISK-24384 - chan_motif: format capabilities leak on module
-       load error (Reported by Corey Farrell)
-  * ASTERISK-24385 - chan_sip: process_sdp leaks on an error path
-       (Reported by Corey Farrell)
-  * ASTERISK-24378 - Release AMI connections on shutdown (Reported
-       by Corey Farrell)
-  * ASTERISK-24354 - AMI sendMessage closes AMI connection on error
-       (Reported by Peter Katzmann)
-  * ASTERISK-24390 - astobj2: REF_DEBUG reports false leaks with
-       ao2_callback with OBJ_MULTIPLE (Reported by Corey Farrell)
-  * ASTERISK-24326 - res_rtp_asterisk: ICE-TCP candidates are
-       incorrectly attempted (Reported by Joshua Colp)
-  * ASTERISK-24011 - [patch]safe_asterisk tries to set ulimit -n too
-       high on linux systems with lots of RAM (Reported by Michael
-       Myles)
-  * ASTERISK-24383 - res_rtp_asterisk: Crash if no candidates
-       received for component (Reported by Kevin Harwell)
-  * ASTERISK-20784 - Failure to receive an ACK to a SIP Re-INVITE
-       results in a SIP channel leak (Reported by NITESH BANSAL)
-  * ASTERISK-15879 - [patch] Failure to receive an ACK to a SIP
-       Re-INVITE results in a SIP channel leak (Reported by Torrey
-       Searle)
-  * ASTERISK-24406 - Some caller ID strings are parsed differently
-       since 11.13.0 (Reported by Etienne Lessard)
-  * ASTERISK-24325 - res_calendar_ews: cannot be used with neon 0.30
-       (Reported by Tzafrir Cohen)
-  * ASTERISK-13797 - [patch] relax badshell tilde test (Reported by
-       Tzafrir Cohen)
-  * ASTERISK-22791 - asterisk sends Re-INVITE after receiving a BYE
-       (Reported by Paolo Compagnini)
-  * ASTERISK-18923 - res_fax_spandsp usage counter is wrong
-       (Reported by Grigoriy Puzankin)
-  * ASTERISK-24392 - res_fax: fax gateway sessions leak (Reported by
-       Corey Farrell)
-  * ASTERISK-24393 - rtptimeout=0 doesn't disable rtptimeout
-       (Reported by Dmitry Melekhov)
-  * ASTERISK-23846 - Unistim multilines. Loss of voice after second
-       call drops (on a second line). (Reported by Rustam Khankishyiev)
-  * ASTERISK-24063 - [patch]Asterisk does not respect outbound proxy
-       when sending qualify requests (Reported by Damian Ivereigh)
-  * ASTERISK-24425 - [patch] jabber/xmpp to use TLS instead of
-       SSLv3, security fix POODLE (CVE-2014-3566) (Reported by
-       abelbeck)
-  * ASTERISK-24436 - Missing header in res/res_srtp.c when compiling
-       against libsrtp-1.5.0 (Reported by Patrick Laimbock)
-  * ASTERISK-24454 - app_queue: ao2_iterator not destroyed, causing
-       leak (Reported by Corey Farrell)
-  * ASTERISK-24430 - missing letter "p" in word response in
-       OriginateResponse event documentation (Reported by Dafi Ni)
-  * ASTERISK-24457 - res_fax: fax gateway frames leak (Reported by
-       Corey Farrell)
-  * ASTERISK-21721 - SIP Failed to parse multiple Supported: headers
-       (Reported by Olle Johansson)
-  * ASTERISK-24304 - asterisk crashing randomly because of unistim
-       channel (Reported by dhanapathy sathya)
-  * ASTERISK-24190 - IMAP voicemail causes segfault (Reported by
-       Nick Adams)
-  * ASTERISK-24466 - app_queue: fix a couple leaks to struct
-       call_queue (Reported by Corey Farrell)
-  * ASTERISK-24432 - Install refcounter.py when REF_DEBUG is enabled
-       (Reported by Corey Farrell)
-  * ASTERISK-24476 - main/app.c / app_voicemail: ast_writestream
-       leaks (Reported by Corey Farrell)
-  * ASTERISK-24307 - Unintentional memory retention in stringfields
-       (Reported by Etienne Lessard)
-
- For a full list of changes in this release, please see the ChangeLog:
-
- http://downloads.asterisk.org/pub/telephony/asterisk/ChangeLog-11.14.0
-
- Thank you for your continued support of Asterisk!

* Fri Oct 24 2014 Ernani Azevedo <azevedo@voipdomain.io> - 11.13.1-2
- added systemd (RHEL/CentOS 7) initialization support
- fixed logrotate uid/gid

* Fri Oct 24 2014 Ernani Azevedo <azevedo@voipdomain.io> - 11.13.1-1
- The Asterisk Development Team has announced security releases for Certified
- Asterisk 1.8.28 and 11.6 and Asterisk 1.8, 11, 12, and 13. The available
- security releases are released as versions 1.8.28-cert2, 11.6-cert7, 1.8.31.1,
- 11.13.1, 12.6.1, and 13.0.0-beta3.
-
- These releases are available for immediate download at
- http://downloads.asterisk.org/pub/telephony/asterisk/releases
-
- The release of these versions resolves the following security vulnerability:
-
- * AST-2014-011: Asterisk Susceptibility to POODLE Vulnerability
-
-   Asterisk is susceptible to the POODLE vulnerability in two ways:
-   1) The res_jabber and res_xmpp module both use SSLv3 exclusively for their
-      encrypted connections.
-   2) The core TLS handling in Asterisk, which is used by the chan_sip channel
-      driver, Asterisk Manager Interface (AMI), and Asterisk HTTP Server, by
-      default allow a TLS connection to fallback to SSLv3. This allows for a
-      MITM to potentially force a connection to fallback to SSLv3, exposing it
-      to the POODLE vulnerability.
-
-   These issues have been resolved in the versions released in conjunction with
-   this security advisory.
-
- For more information about the details of this vulnerability, please read
- security advisory AST-2014-011, which was released at the same time as this
- announcement.
-
- For a full list of changes in the current releases, please see the ChangeLogs:
-
- http://downloads.asterisk.org/pub/telephony/certified-asterisk/releases/ChangeLog-1.8.28-cert2
- http://downloads.asterisk.org/pub/telephony/certified-asterisk/releases/ChangeLog-11.6-cert7
- http://downloads.asterisk.org/pub/telephony/asterisk/releases/ChangeLog-1.8.31.1
- http://downloads.asterisk.org/pub/telephony/asterisk/releases/ChangeLog-11.13.1
- http://downloads.asterisk.org/pub/telephony/asterisk/releases/ChangeLog-12.6.1
- http://downloads.asterisk.org/pub/telephony/asterisk/releases/ChangeLog-13.0.0-beta3
-
- The security advisory is available at:
-
- * http://downloads.asterisk.org/pub/security/AST-2014-011.pdf
-
- Thank you for your continued support of Asterisk!

* Fri Oct 24 2014 Ernani Azevedo <azevedo@voipdomain.io> - 11.13.0-1
- The Asterisk Development Team has announced the release of Asterisk 11.13.0.
- This release is available for immediate download at
- http://downloads.asterisk.org/pub/telephony/asterisk
-
- The release of Asterisk 11.13.0 resolves several issues reported by the
- community and would have not been possible without your participation.
-
-T hank you!
-
- The following are the issues resolved in this release:
- Bug
-
- * [ASTERISK-22252] - res_musiconhold cleanup - REF_DEBUG reload warnings and
-                      ref leaks
- * [ASTERISK-23577] - res_rtp_asterisk: Crash in ast_rtp_on_turn_rtp_state when
-                      RTP instance is NULL
- * [ASTERISK-23634] - With TURN Asterisk crashes on multiple (7-10) concurrent
-                      WebRTC (avpg/encryption/icesupport) calls
- * [ASTERISK-23767] - [patch] Dynamic IAX2 registration stops trying if ever not
-                      able to resolve
- * [ASTERISK-23997] - chan_sip: port incorrectly incremented for RTCP ICE
-                      candidates in SDP answer
- * [ASTERISK-24019] - When a Music On Hold stream starts it restarts at
-                      beginning of file.
- * [ASTERISK-24032] - Gentoo compilation emits warning: "_FORTIFY_SOURCE"
-                      redefined
- * [ASTERISK-24178] - [patch]fromdomainport used even if not set
- * [ASTERISK-24211] - testsuite: Fix the dial_LS_options test
- * [ASTERISK-24225] - Dial option z is broken
- * [ASTERISK-24249] - SIP debugs do not stop
- * [ASTERISK-24301] - Security: Out of call MESSAGE requests processed via
-                      Message channel driver can crash Asterisk
-
- Improvement
-
- * [ASTERISK-24171] - [patch] Provide a manpage for the aelparse utility
-
- For a full list of changes in this release, please see the ChangeLog:
-
- http://downloads.asterisk.org/pub/telephony/asterisk/ChangeLog-11.13.0
-
- Thank you for your continued support of Asterisk!

* Fri Oct 24 2014 Ernani Azevedo <azevedo@voipdomain.io> - 11.12.1-1
- The Asterisk Development Team has announced security releases for Certified
- Asterisk 11.6 and Asterisk 11 and 12. The available security releases are
- released as versions 11.6-cert6, 11.12.1, and 12.5.1.
-
- These releases are available for immediate download at
- http://downloads.asterisk.org/pub/telephony/asterisk/releases
-
- Please note that the release of these versions resolves the following security
- vulnerability:
-
- * AST-2014-010: Remote Crash when Handling Out of Call Message in Certain
-                 Dialplan Configurations
-
- Additionally, the release of Asterisk 12.5.1 resolves the following security
- vulnerability:
-
- * AST-2014-009: Remote Crash Based on Malformed SIP Subscription Requests 
-
- Note that the crash described in AST-2014-010 can be worked around through
- dialplan configuration. Given the likelihood of the issue, an advisory was
- deemed to be warranted.
-
- For more information about the details of these vulnerabilities, please read
- security advisories AST-2014-009 and AST-2014-010, which were released at the
- same time as this announcement.
-
- For a full list of changes in the current releases, please see the ChangeLogs:
-
- http://downloads.asterisk.org/pub/telephony/certified-asterisk/releases/ChangeLog-11.6-cert6
- http://downloads.asterisk.org/pub/telephony/asterisk/releases/ChangeLog-11.12.1
- http://downloads.asterisk.org/pub/telephony/asterisk/releases/ChangeLog-12.5.1
-
- The security advisories are available at:
-
-  * http://downloads.asterisk.org/pub/security/AST-2014-009.pdf
-  * http://downloads.asterisk.org/pub/security/AST-2014-010.pdf
-
- Thank you for your continued support of Asterisk!

* Wed Aug 20 2014 Ernani Azevedo <azevedo@voipdomain.io> - 11.12.0-1
- The Asterisk Development Team has announced the release of Asterisk 11.12.0.
- This release is available for immediate download at
- http://downloads.asterisk.org/pub/telephony/asterisk
-
- The release of Asterisk 11.12.0 resolves several issues reported by the
- community and would have not been possible without your participation.
- Thank you!
-
- The following are the issues resolved in this release:
-
- Bugs fixed in this release:
- -----------------------------------
-  * ASTERISK-23911 - URIENCODE/URIDECODE: WARNING about passing an
-       empty string is a bit over zealous (Reported by Matt Jordan)
-  * ASTERISK-23985 - PresenceState Action response does not contain
-       ActionID; duplicates Message Header (Reported by Matt Jordan)
-  * ASTERISK-23814 - No call started after peer dialed (Reported by
-       Igor Goncharovsky)
-  * ASTERISK-24087 - [patch]chan_sip: sip_subscribe_mwi_destroy
-       should not call sip_destroy (Reported by Corey Farrell)
-  * ASTERISK-23818 - PBX_Lua: after asterisk startup module is
-       loaded, but dialplan not available (Reported by Dennis Guse)
-  * ASTERISK-18345 - [patch] sips connection dropped by asterisk
-       with a large INVITE (Reported by Stephane Chazelas)
-  * ASTERISK-23508 - Memory Corruption in
-       __ast_string_field_ptr_build_va (Reported by Arnd Schmitter)
-
- Improvements made in this release:
- -----------------------------------
-  * ASTERISK-21178 - Improve documentation for manager command
-       Getvar, Setvar (Reported by Rusty Newton)
-
- For a full list of changes in this release, please see the ChangeLog:
-
- http://downloads.asterisk.org/pub/telephony/asterisk/ChangeLog-11.12.0
-
- Thank you for your continued support of Asterisk!

* Sat Jul 12 2014 Ernani Azevedo <azevedo@voipdomain.io> - 11.11.0-1
- The Asterisk Development Team has announced the release of Asterisk 11.11.0.
- This release is available for immediate download at
- http://downloads.asterisk.org/pub/telephony/asterisk
-
- The release of Asterisk 11.11.0 resolves several issues reported by the
- community and would have not been possible without your participation.
- Thank you!
-
- The following are the issues resolved in this release:
-
- Bugs fixed in this release:
- -----------------------------------
-  * ASTERISK-22551 - Session timer : UAS (Asterisk) starts counting
-       at Invite, UAC starts counting at 200 OK. (Reported by i2045)
-  * ASTERISK-23792 - Mutex left locked in chan_unistim.c (Reported
-       by Peter Whisker)
-  * ASTERISK-23582 - [patch]Inconsistent column length in *odbc
-       (Reported by Walter Doekes)
-  * ASTERISK-23803 - AMI action UpdateConfig EmptyCat clears all
-       categories but the requested one (Reported by zvision)
-  * ASTERISK-23035 - ConfBridge with name longer than max (32 chars)
-       results in several bridges with same conf_name (Reported by
-       Iñaki Cívico)
-  * ASTERISK-23824 - ConfBridge: Users cannot be muted via CLI or
-       AMI when waiting to enter a conference (Reported by Matt Jordan)
-  * ASTERISK-23683 - #includes - wildcard character in a path more
-       than one directory deep - results in no config parsing on module
-       reload (Reported by tootai)
-  * ASTERISK-23827 - autoservice thread doesn't exit at shutdown
-       (Reported by Corey Farrell)
-  * ASTERISK-23609 - Security: AMI action MixMonitor allows
-       arbitrary programs to be run (Reported by Corey Farrell)
-  * ASTERISK-23673 - Security: DOS by consuming the number of
-       allowed HTTP connections. (Reported by Richard Mudgett)
-  * ASTERISK-23246 - DEBUG messages in sdp_crypto.c display despite
-       a DEBUG level of zero (Reported by Rusty Newton)
-  * ASTERISK-23766 - [patch] Specify timeout for database write in
-       SQLite (Reported by Igor Goncharovsky)
-  * ASTERISK-23844 - Load of pbx_lua fails on sample extensions.lua
-       with Lua 5.2 or greater due to addition of goto statement
-       (Reported by Rusty Newton)
-  * ASTERISK-23818 - PBX_Lua: after asterisk startup module is
-       loaded, but dialplan not available (Reported by Dennis Guse)
-  * ASTERISK-23834 - res_rtp_asterisk debug message gives wrong
-       length if ICE (Reported by Richard Kenner)
-  * ASTERISK-23790 - [patch] - SIP From headers longer than 256
-       characters result in dropped call and 'No closing bracket'
-       warnings. (Reported by uniken1)
-  * ASTERISK-23917 - res_http_websocket: Delay in client processing
-       large streams of data causes disconnect and stuck socket
-       (Reported by Matt Jordan)
-  * ASTERISK-23908 - [patch]When using FEC error correction,
-       asterisk tries considers negative sequence numbers as missing
-       (Reported by Torrey Searle)
-  * ASTERISK-23921 - refcounter.py uses excessive ram for large refs
-       files  (Reported by Corey Farrell)
-  * ASTERISK-23948 - REF_DEBUG fails to record ao2_ref against
-       objects that were already freed (Reported by Corey Farrell)
-  * ASTERISK-23916 - [patch]SIP/SDP fmtp line may include whitespace
-       between attributes (Reported by Alexander Traud)
-  * ASTERISK-23984 - Infinite loop possible in ast_careful_fwrite()
-       (Reported by Steve Davies)
-  * ASTERISK-23897 - [patch]Change in SETUP ACK handling (checking
-       PI) in revision 413765 breaks working environments (Reported by
-       Pavel Troller)
-
- Improvements made in this release:
- -----------------------------------
-  * ASTERISK-23492 - Add option to safe_asterisk to disable
-       backgrounding (Reported by Walter Doekes)
-  * ASTERISK-22961 - [patch] DTLS-SRTP not working with SHA-256
-       (Reported by Jay Jideliov)
-
- For a full list of changes in this release, please see the ChangeLog:
-
- http://downloads.asterisk.org/pub/telephony/asterisk/ChangeLog-11.11.0
-
- Thank you for your continued support of Asterisk!

* Fri Jun 13 2014 Ernani Azevedo <azevedo@voipdomain.io> - 11.10.2-1
- The Asterisk Development Team has announced security releases for Certified
- Asterisk 1.8.15, 11.6, and Asterisk 1.8, 11, and 12. The available security
- releases are released as versions 1.8.15-cert7, 11.6-cert4, 1.8.28.2, 11.10.2,
- and 12.3.2.
-
- These releases are available for immediate download at
- http://downloads.asterisk.org/pub/telephony/asterisk/releases
-
- These releases resolve security vulnerabilities that were previously fixed in
- 1.8.15-cert6, 11.6-cert3, 1.8.28.1, 11.10.1, and 12.3.1. Unfortunately, the fix
- for AST-2014-007 inadvertently introduced a regression in Asterisk's TCP and TLS
- handling that prevented Asterisk from sending data over these transports. This
- regression and the security vulnerabilities have been fixed in the versions
- specified in this release announcement.
-
- The security patches for AST-2014-007 have been updated with the fix for the
- regression, and are available at http://downloads.asterisk.org/pub/security
-
- Please note that the release of these versions resolves the following security
- vulnerabilities:
-
- * AST-2014-005: Remote Crash in PJSIP Channel Driver's Publish/Subscribe
-                 Framework
-
- * AST-2014-006: Permission Escalation via Asterisk Manager User Unauthorized
-                 Shell Access
-
- * AST-2014-007: Denial of Service via Exhaustion of Allowed Concurrent HTTP
-                 Connections
-
- * AST-2014-008: Denial of Service in PJSIP Channel Driver Subscriptions
-
- For more information about the details of these vulnerabilities, please read
- security advisories AST-2014-005, AST-2014-006, AST-2014-007, and AST-2014-008,
- which were released with the previous versions that addressed these
- vulnerabilities.
-
- For a full list of changes in the current releases, please see the ChangeLogs:
-
- http://downloads.asterisk.org/pub/telephony/certified-asterisk/releases/ChangeLog-1.8.15-cert7
- http://downloads.asterisk.org/pub/telephony/asterisk/releases/ChangeLog-1.8.28.2
- http://downloads.asterisk.org/pub/telephony/certified-asterisk/releases/ChangeLog-11.6-cert4
- http://downloads.asterisk.org/pub/telephony/asterisk/releases/ChangeLog-11.10.2
- http://downloads.asterisk.org/pub/telephony/asterisk/releases/ChangeLog-12.3.2
-
- The security advisories are available at:
-
-  * http://downloads.asterisk.org/pub/security/AST-2014-005.pdf
-  * http://downloads.asterisk.org/pub/security/AST-2014-006.pdf
-  * http://downloads.asterisk.org/pub/security/AST-2014-007.pdf
-  * http://downloads.asterisk.org/pub/security/AST-2014-008.pdf
-
- Thank you for your continued support of Asterisk!

* Fri Jun 13 2014 Ernani Azevedo <azevedo@voipdomain.io> - 11.10.1-1
- The Asterisk Development Team has announced security releases for Certified
- Asterisk 1.8.15, 11.6, and Asterisk 1.8, 11, and 12. The available security
- releases are released as versions 1.8.15-cert6, 11.6-cert3, 1.8.28.1, 11.10.1,
- and 12.3.1.
-
- These releases are available for immediate download at
- http://downloads.asterisk.org/pub/telephony/asterisk/releases
-
- The release of these versions resolves the following issue:
-
- * AST-2014-007: Denial of Service via Exhaustion of Allowed Concurrent HTTP
-                 Connections
-
-   Establishing a TCP or TLS connection to the configured HTTP or HTTPS port
-   respectively in http.conf and then not sending or completing a HTTP request
-   will tie up a HTTP session. By doing this repeatedly until the maximum number
-   of open HTTP sessions is reached, legitimate requests are blocked.
-
- Additionally, the release of 11.6-cert3, 11.10.1, and 12.3.1 resolves the
- following issue:
-
- * AST-2014-006: Permission Escalation via Asterisk Manager User Unauthorized
-                 Shell Access
-
-   Manager users can execute arbitrary shell commands with the MixMonitor manager
-   action. Asterisk does not require system class authorization for a manager
-   user to use the MixMonitor action, so any manager user who is permitted to use
-   manager commands can potentially execute shell commands as the user executing
-   the Asterisk process.
-
- Additionally, the release of 12.3.1 resolves the following issues:
-
- * AST-2014-005: Remote Crash in PJSIP Channel Driver's Publish/Subscribe
-                 Framework
-
-   A remotely exploitable crash vulnerability exists in the PJSIP channel
-   driver's pub/sub framework. If an attempt is made to unsubscribe when not
-   currently subscribed and the endpoint's “sub_min_expiry” is set to zero,
-   Asterisk tries to create an expiration timer with zero seconds, which is not
-   allowed, so an assertion raised.
-
- * AST-2014-008: Denial of Service in PJSIP Channel Driver Subscriptions
-
-   When a SIP transaction timeout caused a subscription to be terminated, the
-   action taken by Asterisk was guaranteed to deadlock the thread on which SIP
-   requests are serviced. Note that this behavior could only happen on
-   established subscriptions, meaning that this could only be exploited if an
-   attacker bypassed authentication and successfully subscribed to a real
-   resource on the Asterisk server.
-
- These issues and their resolutions are described in the security advisories.
-
- For more information about the details of these vulnerabilities, please read
- security advisories AST-2014-005, AST-2014-006, AST-2014-007, and AST-2014-008,
- which were released at the same time as this announcement.
-
- For a full list of changes in the current releases, please see the ChangeLogs:
-
- http://downloads.asterisk.org/pub/telephony/certified-asterisk/releases/ChangeLog-1.8.15-cert6
- http://downloads.asterisk.org/pub/telephony/asterisk/releases/ChangeLog-1.8.28.1
- http://downloads.asterisk.org/pub/telephony/certified-asterisk/releases/ChangeLog-11.6-cert3
- http://downloads.asterisk.org/pub/telephony/asterisk/releases/ChangeLog-11.10.1
- http://downloads.asterisk.org/pub/telephony/asterisk/releases/ChangeLog-12.3.1
-
- The security advisories are available at:
-
-  * http://downloads.asterisk.org/pub/security/AST-2014-005.pdf
-  * http://downloads.asterisk.org/pub/security/AST-2014-006.pdf
-  * http://downloads.asterisk.org/pub/security/AST-2014-007.pdf
-  * http://downloads.asterisk.org/pub/security/AST-2014-008.pdf
-
- Thank you for your continued support of Asterisk!

* Fri May 30 2014 Ernani Azevedo <azevedo@voipdomain.io> - 11.10.0-1
- The Asterisk Development Team has announced the release of Asterisk 11.10.0.
- This release is available for immediate download at
- http://downloads.asterisk.org/pub/telephony/asterisk
-
- The release of Asterisk 11.10.0 resolves several issues reported by the
- community and would have not been possible without your participation.
- Thank you!
-
- The following are the issues resolved in this release:
-
- Bugs fixed in this release:
- -----------------------------------
-  * ASTERISK-23547 - [patch] app_queue removing callers from queue
-       when reloading (Reported by Italo Rossi)
-  * ASTERISK-23559 - app_voicemail fails to load after fix to
-       dialplan functions (Reported by Corey Farrell)
-  * ASTERISK-22846 - testsuite: masquerade super test fails on all
-       branches (still) (Reported by Matt Jordan)
-  * ASTERISK-23545 - Confbridge talker detection settings
-       configuration load bug (Reported by John Knott)
-  * ASTERISK-23546 - CB_ADD_LEN does not do what you'd think
-       (Reported by Walter Doekes)
-  * ASTERISK-23620 - Code path in app_stack fails to unlock list
-       (Reported by Bradley Watkins)
-  * ASTERISK-23616 - Big memory leak in logger.c (Reported by
-       ibercom)
-  * ASTERISK-23576 - Build failure on SmartOS / Illumos / SunOS
-       (Reported by Sebastian Wiedenroth)
-  * ASTERISK-23550 - Newer sound sets don't show up in menuselect
-       (Reported by Rusty Newton)
-  * ASTERISK-18331 - app_sms failure (Reported by David Woodhouse)
-  * ASTERISK-19465 - P-Asserted-Identity Privacy (Reported by
-       Krzysztof Chmielewski)
-  * ASTERISK-23605 - res_http_websocket: Race condition in shutting
-       down websocket causes crash (Reported by Matt Jordan)
-  * ASTERISK-23707 - Realtime Contacts: Apparent mismatch between
-       PGSQL database state and Asterisk state (Reported by Mark
-       Michelson)
-  * ASTERISK-23381 - [patch]ChanSpy- Barge only works on the initial
-       'spy', if the spied-on channel makes a new call, unable to
-       barge. (Reported by Robert Moss)
-  * ASTERISK-23665 - Wrong mime type for codec H263-1998 (h263+)
-       (Reported by Guillaume Maudoux)
-  * ASTERISK-23664 - Incorrect H264 specification in SDP. (Reported
-       by Guillaume Maudoux)
-  * ASTERISK-22977 - chan_sip+CEL: missing ANSWER and PICKUP event
-       for INVITE/w/replaces pickup (Reported by Walter Doekes)
-  * ASTERISK-23709 - Regression in Dahdi/Analog/waitfordialtone
-       (Reported by Steve Davies)

- Improvements made in this release:
- -----------------------------------
-  * ASTERISK-23649 - [patch]Support for DTLS retransmission
-       (Reported by NITESH BANSAL)
-  * ASTERISK-23564 - [patch]TLS/SRTP status of channel not currently
-       available in a CLI command (Reported by Patrick Laimbock)
-  * ASTERISK-23754 - [patch] Use var/lib directory for log file
-       configured in asterisk.conf (Reported by Igor Goncharovsky)
-
- For a full list of changes in this release, please see the ChangeLog:
-
- http://downloads.asterisk.org/pub/telephony/asterisk/ChangeLog-11.10.0
-
- Thank you for your continued support of Asterisk!

* Wed Apr 23 2014 Asterisk Development Team <asteriskteam@digium.com> - 11.9.0-1
- Update to 11.9.0

* Mon Mar 10 2014 Asterisk Development Team <asteriskteam@digium.com> - 11.8.1-1
- Update to 11.8.1
	
* Mon Mar 03 2014 Asterisk Development Team <asteriskteam@digium.com> - 11.8.0-1
- Update to 11.8.0

* Fri Dec 27 2013 Asterisk Development Team <asteriskteam@digium.com> - 11.7.0-1
- Update to 11.7.0

* Mon Dec 16 2013 Matt Jordan <mjordan@digium.com> - 11.6.1-1
- Update to 11.6.1
 	
* Mon Oct 21 2013 Matt Jordan <mjordan@digium.com> - 11.6.0-1
- Update to 11.6.0

* Tue Aug 27 2013 Matt Jordan <mjordan@digium.com> - 11.5.1-1
- Update to 11.5.1

* Mon Jul 15 2013 Jason Parker <jparker@digium.com> - 11.5.0-1
- Update to 11.5.0

* Mon May 20 2013 Jason Parker <jparker@digium.com> - 11.4.0-1
- Update to 11.4.0

* Tue Jan 15 2013 Jason Parker <jparker@digium.com> - 11.2.0-1
- Update to 11.2.0

* Thu Jan 03 2013 Jason Parker <jparker@digium.com> - 11.1.2-1
- Update to 11.1.2

* Wed Jan 02 2013 Jason Parker <jparker@digium.com> - 11.1.1-1
- Update to 11.1.1

* Mon Dec 17 2012 Jason Parker <jparker@digium.com> - 11.1.0-1
- Initial 11 build.
